Debian Bug report logs - #488669
kernel changes break X on sparc64/pci

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: Marco Guidetti <gaedol@gmail.com>

Date: Mon, 30 Jun 2008 14:39:04 UTC

Severity: grave

Tags: help, lenny

Merged with 500358, 522605

Found in version xorg-server/2:1.4.2-10

Fixed in version xorg-server/2:1.4.99.901-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gaedol@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to Marco Guidetti <gaedol@gmail.com>:
New Bug report received and forwarded. Copy sent to gaedol@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Guidetti <gaedol@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg: X fails to start on a SUN ULTRA 5
Date: Mon, 30 Jun 2008 16:36:35 +0200
Package: xserver-xorg
Version: 1:7.3+10
Severity: grave
Justification: renders package unusable


After a fresh install today of the lenny installer, on a SUN ULTRA 5 i am completely unable to start X. After a dpkg-reconfigure xserver-xorg the 
situation remains the same.
X is configured to use the framebuffer device, which is working.

The X server fails saying:

xf86DomainMem() : mmap() failure

as can be seen from the log attached.

This renders X completely unusable on my ULTRA 5.

I can do some tests in the next few days if required.

TIA, 

marco



-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 2008-06-30 15:55 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1740488 2008-06-11 19:40 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
01:02.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro 215GP (rev 5c)

/etc/X11/xorg.conf unchanged from checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1105 2008-06-30 16:11 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"type4"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
EndSection

Section "Device"
	Identifier	"Configured Video Device"
	Option		"UseFBDev"		"true"
EndSection

Section "Monitor"
	Identifier	"Configured Monitor"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Monitor		"Configured Monitor"
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 12610 2008-06-30 16:32 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.4.0.90
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Debian (xorg-server 2:1.4.1~git20080517-2)
Current Operating System: Linux komarr 2.6.24-1-sparc64 #1 Thu May 8 17:12:30 UTC 2008 sparc64
Build Date: 11 June 2008  04:02:54PM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Jun 30 16:32:04 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) No Layout section.  Using the first Screen section.
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Configured Monitor"
(==) No device specified for screen "Default Screen".
	Using the first device section listed.
(**) |   |-->Device "Configured Video Device"
(==) |-->Input Device "Configured Mouse"
(==) |-->Input Device "Generic Keyboard"
(==) The core pointer device wasn't specified explicitly in the layout.
	Using the first mouse device.
(==) The core keyboard device wasn't specified explicitly in the layout.
	Using the first keyboard device.
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified.  Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) No APM support in BIOS or kernel
(II) Loader magic: 0x1c0c78
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(--) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 108e,a000 card 0000,0000 rev 00 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 108e,5000 card 0000,0000 rev 13 class 06,04,00 hdr 81
(II) PCI: 00:01:1: chip 108e,5000 card 0000,0000 rev 13 class 06,04,00 hdr 81
(II) PCI: 01:01:0: chip 108e,1000 card 0000,0000 rev 01 class 06,80,00 hdr 80
(II) PCI: 01:01:1: chip 108e,1001 card 0000,0000 rev 01 class 02,00,00 hdr 80
(II) PCI: 01:02:0: chip 1002,4750 card 0000,0000 rev 5c class 03,00,00 hdr 00
(II) PCI: 01:03:0: chip 1095,0646 card 1095,0646 rev 03 class 01,01,8f hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,2), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	1	0x00000000 - 0x00ffffff (0x1000000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:1:0), (0,2,255), BCTRL: 0x0023 (VGA_EN is cleared)
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:1), (0,1,1), BCTRL: 0x0023 (VGA_EN is cleared)
(--) PCI:*(1:2:0) ATI Technologies Inc 3D Rage Pro 215GP rev 92, Mem @ 0xe1000000/24, 0xe2000000/12, BIOS @ 0xe1020000/0
(II) Addressable bus resource ranges are
	[0] -1	1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	1	0x00000000 - 0x00ffffff (0x1000000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	1	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	1	0x00ffffff - 0x00ffffff (0x1) IX[B]
	[5] -1	1	0x00000000 - 0x00000000 (0x1) IX[B]
(II) Active PCI resource ranges:
	[0] -1	1	0xe0000000 - 0xe000001f (0x20) MX[B]
	[1] -1	1	0xf1000000 - 0xf1000000 (0x1) MX[B]
	[2] -1	1	0xf0000000 - 0xf0000000 (0x1) MX[B]
	[3] -1	1	0xe1020000 - 0xe1020000 (0x1) MX[B](B)
	[4] -1	1	0xe2000000 - 0xe2000fff (0x1000) MX[B](B)
	[5] -1	1	0xe1000000 - 0xe1ffffff (0x1000000) MX[B](B)
	[6] -1	1	0x00c00020 - 0x00c0002f (0x10) IX[B]
	[7] -1	1	0x00c00018 - 0x00c0001b (0x4) IX[B]
	[8] -1	1	0x00c00010 - 0x00c00017 (0x8) IX[B]
	[9] -1	1	0x00c00008 - 0x00c0000b (0x4) IX[B]
	[10] -1	1	0x00c00000 - 0x00c00007 (0x8) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	1	0xe0000000 - 0xe000001f (0x20) MX[B]
	[1] -1	1	0xf1000000 - 0xf1000000 (0x1) MX[B]
	[2] -1	1	0xf0000000 - 0xf0000000 (0x1) MX[B]
	[3] -1	1	0xe1020000 - 0xe1020000 (0x1) MX[B](B)
	[4] -1	1	0xe2000000 - 0xe2000fff (0x1000) MX[B](B)
	[5] -1	1	0xe1000000 - 0xe1ffffff (0x1000000) MX[B](B)
	[6] -1	1	0x00c00020 - 0x00c0002f (0x10) IX[B]
	[7] -1	1	0x00c00018 - 0x00c0001b (0x4) IX[B]
	[8] -1	1	0x00c00010 - 0x00c00017 (0x8) IX[B]
	[9] -1	1	0x00c00008 - 0x00c0000b (0x4) IX[B]
	[10] -1	1	0x00c00000 - 0x00c00007 (0x8) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	1	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	1	0x00ffffff - 0x00ffffff (0x1) IX[B]
	[5] -1	1	0x00000000 - 0x00000000 (0x1) IX[B]
(II) All system resource ranges:
	[0] -1	1	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	1	0xe0000000 - 0xe000001f (0x20) MX[B]
	[5] -1	1	0xf1000000 - 0xf1000000 (0x1) MX[B]
	[6] -1	1	0xf0000000 - 0xf0000000 (0x1) MX[B]
	[7] -1	1	0xe1020000 - 0xe1020000 (0x1) MX[B](B)
	[8] -1	1	0xe2000000 - 0xe2000fff (0x1000) MX[B](B)
	[9] -1	1	0xe1000000 - 0xe1ffffff (0x1000000) MX[B](B)
	[10] -1	1	0x00ffffff - 0x00ffffff (0x1) IX[B]
	[11] -1	1	0x00000000 - 0x00000000 (0x1) IX[B]
	[12] -1	1	0x00c00020 - 0x00c0002f (0x10) IX[B]
	[13] -1	1	0x00c00018 - 0x00c0001b (0x4) IX[B]
	[14] -1	1	0x00c00010 - 0x00c00017 (0x8) IX[B]
	[15] -1	1	0x00c00008 - 0x00c0000b (0x4) IX[B]
	[16] -1	1	0x00c00000 - 0x00c00007 (0x8) IX[B]
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.4.0.90, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) Matched ati from file name ati.ids in autoconfig
(==) Matched ati for the autoconfigured driver
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "ati"
(II) Loading /usr/lib/xorg/modules/drivers//ati_drv.so
(II) Module ati: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 6.8.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "mach64"
(II) Loading /usr/lib/xorg/modules/drivers//mach64_drv.so
(II) Module mach64: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 6.7.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) MACH64: Driver for ATI Mach64 chipsets
(II) Primary Device is: PCI 01:02:0
(--) Assigning device section with no busID to primary device
(--) Chipset ATI 3D Rage Pro found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	1	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	1	0xe0000000 - 0xe000001f (0x20) MX[B]
	[5] -1	1	0xf1000000 - 0xf1000000 (0x1) MX[B]
	[6] -1	1	0xf0000000 - 0xf0000000 (0x1) MX[B]
	[7] -1	1	0xe1020000 - 0xe1020000 (0x1) MX[B](B)
	[8] -1	1	0xe2000000 - 0xe2000fff (0x1000) MX[B](B)
	[9] -1	1	0xe1000000 - 0xe1ffffff (0x1000000) MX[B](B)
	[10] -1	1	0x00ffffff - 0x00ffffff (0x1) IX[B]
	[11] -1	1	0x00000000 - 0x00000000 (0x1) IX[B]
	[12] -1	1	0x00c00020 - 0x00c0002f (0x10) IX[B]
	[13] -1	1	0x00c00018 - 0x00c0001b (0x4) IX[B]
	[14] -1	1	0x00c00010 - 0x00c00017 (0x8) IX[B]
	[15] -1	1	0x00c00008 - 0x00c0000b (0x4) IX[B]
	[16] -1	1	0x00c00000 - 0x00c00007 (0x8) IX[B]
(II) resource ranges after probing:
	[0] -1	1	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	1	0xe0000000 - 0xe000001f (0x20) MX[B]
	[5] -1	1	0xf1000000 - 0xf1000000 (0x1) MX[B]
	[6] -1	1	0xf0000000 - 0xf0000000 (0x1) MX[B]
	[7] -1	1	0xe1020000 - 0xe1020000 (0x1) MX[B](B)
	[8] -1	1	0xe2000000 - 0xe2000fff (0x1000) MX[B](B)
	[9] -1	1	0xe1000000 - 0xe1ffffff (0x1000000) MX[B](B)
	[10] 0	1	0x000a0000 - 0x000affff (0x10000) MS[B]
	[11] 0	1	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[12] 0	1	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[13] -1	1	0x00ffffff - 0x00ffffff (0x1) IX[B]
	[14] -1	1	0x00000000 - 0x00000000 (0x1) IX[B]
	[15] -1	1	0x00c00020 - 0x00c0002f (0x10) IX[B]
	[16] -1	1	0x00c00018 - 0x00c0001b (0x4) IX[B]
	[17] -1	1	0x00c00010 - 0x00c00017 (0x8) IX[B]
	[18] -1	1	0x00c00008 - 0x00c0000b (0x4) IX[B]
	[19] -1	1	0x00c00000 - 0x00c00007 (0x8) IX[B]
	[20] 0	1	0x000003b0 - 0x000003bb (0xc) IS[B]
	[21] 0	1	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) MACH64(0): Creating default Display subsection in Screen section
	"Default Screen" for depth/fbbpp 24/32
(==) MACH64(0): Depth 24, (==) framebuffer bpp 32
(==) MACH64(0): Using XAA acceleration architecture

Fatal server error:
xf86MapDomainMem():  mmap() failure



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: sparc (sparc64)

Kernel: Linux 2.6.24-1-sparc64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg depends on:
ii  debconf [debconf- 1.5.22                 Debian configuration management sy
ii  x11-common        1:7.3+10               X Window System (X.Org) infrastruc
ii  x11-xkb-utils     7.4+1                  X11 XKB utilities
ii  xkb-data          1.3-1                  X Keyboard Extension (XKB) configu
ii  xserver-xorg-core 2:1.4.1~git20080517-2  Xorg X server - core server
ii  xserver-xorg-inpu 1:7.3+10               the X.Org X server -- input driver
ii  xserver-xorg-inpu 1:1.2.0-1              X.Org X server -- evdev input driv
ii  xserver-xorg-inpu 1:1.3.1-1              X.Org X server -- keyboard input d
ii  xserver-xorg-inpu 1:1.3.0-1              X.Org X server -- mouse input driv
ii  xserver-xorg-inpu 0.14.7~git20070706-2.1 Synaptics TouchPad driver for X.Or
ii  xserver-xorg-inpu 0.7.9.3-2              X.Org X server -- Wacom input driv
ii  xserver-xorg-vide 1:7.3+10               the X.Org X server -- output drive
ii  xserver-xorg-vide 1:1.2.0-1              X.Org X server -- APM display driv
ii  xserver-xorg-vide 1:0.7.0-1              X.Org X server -- ark display driv
ii  xserver-xorg-vide 1:6.8.0-1              X.Org X server -- ATI display driv
ii  xserver-xorg-vide 1:1.2.0-1              X.Org X server -- Chips display dr
ii  xserver-xorg-vide 1:1.2.1-1              X.Org X server -- Cirrus display d
ii  xserver-xorg-vide 1:0.3.0-1              X.Org X server -- dummy display dr
ii  xserver-xorg-vide 1:0.4.0-1              X.Org X server -- fbdev display dr
ii  xserver-xorg-vide 1:1.2.0-1              X.Org X server -- Glint display dr
ii  xserver-xorg-vide 1:1.3.0-1              X.Org X server -- i128 display dri
ii  xserver-xorg-vide 1:1.2.0-1              X.Org X server -- i740 display dri
ii  xserver-xorg-vide 1:1.1.0-7              X.Org X server -- IMSTT display dr
ii  xserver-xorg-vide 1:1.4.8.dfsg.1-1       X.Org X server -- MGA display driv
ii  xserver-xorg-vide 1:1.2.1-1              X.Org X server -- Neomagic display
ii  xserver-xorg-vide 1:2.1.9-1              X.Org X server -- NV display drive
ii  xserver-xorg-vide 1:4.1.3.dfsg.1-4       X.Org X server -- Rendition displa
ii  xserver-xorg-vide 1:1.10.1-1             X.Org X server -- S3 ViRGE display
ii  xserver-xorg-vide 1:2.2.1-1              X.Org X server -- Savage display d
ii  xserver-xorg-vide 1:1.6.0-1              X.Org X server -- SiliconMotion di
ii  xserver-xorg-vide 1:1.1.0-5              X.Org X server -- Sun BW2 display 
ii  xserver-xorg-vide 1:1.1.0-4              X.Org X server -- Sun CG14 display
ii  xserver-xorg-vide 1:1.1.0-3              X.Org X server -- Sun CG3 display 
ii  xserver-xorg-vide 1:1.1.0-4+b1           X.Org X server -- Sun CG6 display 
ii  xserver-xorg-vide 1:1.1.0-4              X.Org X server -- Sun FFB display 
ii  xserver-xorg-vide 1:1.1.0-3              X.Org X server -- Sun Leo display 
ii  xserver-xorg-vide 1:1.1.0-4              X.Org X server -- Sun TCX display 
ii  xserver-xorg-vide 1:1.4.0-1              X.Org X server -- tdfx display dri
ii  xserver-xorg-vide 1:1.3.0-1              X.Org X server -- Trident display 
ii  xserver-xorg-vide 0.2.0-1                X.Org X server -- Video 4 Linux di
ii  xserver-xorg-vide 1:1.3.0-4              X.Org X server -- VESA display dri
ii  xserver-xorg-vide 1:4.1.0-8              X.Org X server -- VGA display driv

Versions of packages xserver-xorg recommends:
pn  dmidecode                     <none>     (no description available)
ii  libgl1-mesa-dri               7.0.3-1    A free implementation of the OpenG
ii  udev                          0.114-2    /dev/ and hotplug management daemo

-- debconf information:
* xserver-xorg/config/device/use_fbdev: true
* xserver-xorg/config/inputdevice/keyboard/variant:
  xserver-xorg/config/nonnumeric_string_error:
  xserver-xorg/config/doublequote_in_string_error:
* xserver-xorg/config/inputdevice/keyboard/layout: us
* xserver-xorg/config/inputdevice/keyboard/model: type4
* xserver-xorg/config/device/driver:
  xserver-xorg/config/null_string_error:
  xserver-xorg/config/device/bus_id_error:
  xserver-xorg/config/device/bus_id:
* xserver-xorg/config/inputdevice/keyboard/options:
* xserver-xorg/config/inputdevice/keyboard/rules: xorg
* xserver-xorg/autodetect_keyboard: false




Bug reassigned from package `xserver-xorg' to `xserver-xorg-core'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 12 Jul 2008 14:51:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 488669@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Marco Guidetti <gaedol@gmail.com>, 488669@bugs.debian.org
Subject: Re: Bug#488669: xserver-xorg: X fails to start on a SUN ULTRA 5
Date: Mon, 14 Jul 2008 17:25:25 +0200
On Mon, Jun 30, 2008 at 16:36:35 +0200, Marco Guidetti wrote:

> After a fresh install today of the lenny installer, on a SUN ULTRA 5 i am completely unable to start X. After a dpkg-reconfigure xserver-xorg the 
> situation remains the same.
> X is configured to use the framebuffer device, which is working.
> 
> The X server fails saying:
> 
> xf86DomainMem() : mmap() failure
> 
> as can be seen from the log attached.
> 
> This renders X completely unusable on my ULTRA 5.
> 
> I can do some tests in the next few days if required.
> 
Hi Marco,

a first data point would be to know if this worked using an older
version of the ati driver (xserver-xorg-video-ati package).  There
should be some older versions up on snapshot.debian.net.

Cheers,
Julien




Tags added: moreinfo Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 14 Jul 2008 16:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 488669@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: gaedol@gmail.com, 488669@bugs.debian.org
Subject: xserver-xorg: X fails to start on a SUN ULTRA 5
Date: Thu, 4 Sep 2008 19:44:46 +0300
> xf86DomainMem() : mmap() failure

Can you try "strace X" to see what exactly is being mmap'd?
Also, can you try if upgrading to 2.6.26-4 kernel helps?

-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 488669@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Riku Voipio <riku.voipio@iki.fi>, 488669@bugs.debian.org
Subject: Re: Bug#488669: xserver-xorg: X fails to start on a SUN ULTRA 5
Date: Thu, 04 Sep 2008 21:24:05 +0200
Riku Voipio napsal(a):
>> xf86DomainMem() : mmap() failure
> 
> Can you try "strace X" to see what exactly is being mmap'd?
> Also, can you try if upgrading to 2.6.26-4 kernel helps?
> 

Yes it looks like that driver starts open some files in proc:

open("/proc/bus/pci/0000:00/01.7", O_RDONLY) = -1 ENOENT (No such file or direc
stat64("/proc/bus/pci/0000:00", {st_mode=S_IFDIR|0555, st_size=0, ...}) = 0
open("/proc/bus/pci/0000:00/02.0", O_RDONLY) = -1 ENOENT (No such file or direc
stat64("/proc/bus/pci/0000:00", {st_mode=S_IFDIR|0555, st_size=0, ...}) = 0
open("/proc/bus/pci/0000:00/02.0", O_RDONLY) = -1 ENOENT (No su

but this files doesn't exists. I read some posts in Sparc64 mailing list and mean that only solution for this problem is 
newer Xserver that uderstand new kernel interface.

			Regards
					Dan


-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 488669@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 488669@bugs.debian.org
Subject: Re: Bug#488669: xserver-xorg: X fails to start on a SUN ULTRA 5
Date: Fri, 5 Sep 2008 10:59:23 +0300
On Thu, Sep 04, 2008 at 09:24:05PM +0200, Daniel Smolik wrote:
> Riku Voipio napsal(a):
> >>xf86DomainMem() : mmap() failure
> >
> >Can you try "strace X" to see what exactly is being mmap'd?
> >Also, can you try if upgrading to 2.6.26-4 kernel helps?

> Yes it looks like that driver starts open some files in proc:

> open("/proc/bus/pci/0000:00/01.7", O_RDONLY) = -1 ENOENT (No such file or 
> direc
> stat64("/proc/bus/pci/0000:00", {st_mode=S_IFDIR|0555, st_size=0, ...}) = 0
> open("/proc/bus/pci/0000:00/02.0", O_RDONLY) = -1 ENOENT (No such file or 
> direc
> stat64("/proc/bus/pci/0000:00", {st_mode=S_IFDIR|0555, st_size=0, ...}) = 0
> open("/proc/bus/pci/0000:00/02.0", O_RDONLY) = -1 ENOENT (No su

> but this files doesn't exists. 

It's not unusual, X and other applications try open a lot of files that
may not exist. What we are interested is the strace messages around the
mmap() error. If unsure, just pass the entire strace log as a
attachment.

> I read some posts in Sparc64 mailing list 
> and mean that only solution for this problem is newer Xserver that 
> uderstand new kernel interface.

do you have poiters to these discussions?

-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 488669@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Riku Voipio <riku.voipio@iki.fi>, 488669@bugs.debian.org
Subject: Re: Bug#488669: xserver-xorg: X fails to start on a SUN ULTRA 5
Date: Sun, 07 Sep 2008 13:32:57 +0200
Riku Voipio napsal(a):
> On Thu, Sep 04, 2008 at 09:24:05PM +0200, Daniel Smolik wrote:
>> Riku Voipio napsal(a):
>>>> xf86DomainMem() : mmap() failure
>>> Can you try "strace X" to see what exactly is being mmap'd?
>>> Also, can you try if upgrading to 2.6.26-4 kernel helps?
> 
>> Yes it looks like that driver starts open some files in proc:
> 
>> open("/proc/bus/pci/0000:00/01.7", O_RDONLY) = -1 ENOENT (No such file or 
>> direc
>> stat64("/proc/bus/pci/0000:00", {st_mode=S_IFDIR|0555, st_size=0, ...}) = 0
>> open("/proc/bus/pci/0000:00/02.0", O_RDONLY) = -1 ENOENT (No such file or 
>> direc
>> stat64("/proc/bus/pci/0000:00", {st_mode=S_IFDIR|0555, st_size=0, ...}) = 0
>> open("/proc/bus/pci/0000:00/02.0", O_RDONLY) = -1 ENOENT (No su
> 
>> but this files doesn't exists. 
> 
> It's not unusual, X and other applications try open a lot of files that
> may not exist. What we are interested is the strace messages around the
> mmap() error. If unsure, just pass the entire strace log as a
> attachment.
Yes you are rigt.


> 
>> I read some posts in Sparc64 mailing list 
>> and mean that only solution for this problem is newer Xserver that 
>> uderstand new kernel interface.
> 
> do you have poiters to these discussions?
> 
Yes there David Miller explain this problem.

http://lkml.org/lkml/2008/6/3/147


			Regards
				Dan

-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Forcibly Merged 488669 500358. Request was from Julien Cristau <jcristau@liafa.jussieu.fr> to control@bugs.debian.org. (Wed, 08 Oct 2008 16:03:07 GMT) Full text and rfc822 format available.

Tags added: help Request was from Julien Cristau <jcristau@liafa.jussieu.fr> to control@bugs.debian.org. (Wed, 08 Oct 2008 16:03:11 GMT) Full text and rfc822 format available.

Changed Bug title to `kernel changes break X on sparc64/pci' from `xserver-xorg: X fails to start on a SUN ULTRA 5'. Request was from Julien Cristau <jcristau@liafa.jussieu.fr> to control@bugs.debian.org. (Wed, 08 Oct 2008 16:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Mon, 27 Oct 2008 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 27 Oct 2008 08:36:03 GMT) Full text and rfc822 format available.

Message #45 received at 488669@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: debian-sparc@lists.debian.org, angelo.rossi.homelab@gmail.com, mikpe@it.uu.se, Josip Rodin <joy@debbugs.entuzijast.net>, Marco Guidetti <gaedol@gmail.com>, Riku Voipio <riku.voipio@iki.fi>
Cc: 488669@bugs.debian.org, 500358@bugs.debian.org
Subject: resolving X Server crashes on SPARC (bugs #488669 and #500358)
Date: Mon, 27 Oct 2008 09:36:39 +0100
Hi

Joss assigned me these two bugs[1] (currently merged) for the bug sprint[2]. As
I lack proper SPARC hardware to investigate this myself, I need your help.

The two bugs are about X Server Crashes on SPARCs with PCI ATI Mach64 cards. The
most probable cause of the crash is an incompatible kernel change introduced with
kernel 2.6.26. For #500358 I'm quite sure that it' caused by the kernel change. 
For #488669 I'm not quite sure if it's really the same bug, because the original
reporter ran kernel 2.6.24 which predates the kernel change. For more information 
about the kernel change see: http://marc.info/?t=121247857800001&r=1&w=2

If the crash is really caused by the kernel change, the real bug is in the X server.
But to fix it, we would have to upgrade to xserver-xorg-core 1.5. I don't think that
this is really an option. The other options would be to revert the kernel change or
to release with a non-working X server for some SPARC machines. Unless of course we
find someone willing and able to fix the X server in lenny to work with the kernel 
change. A simple backport of the changes in 1.5 doesn't seem to be possible.

I would like you to test two things:
1. Install the kernel package from http://people.debian.org/~gaudenz/sparc
   and test if this fixes the problem. This is the same kernel as currently 
   in unstable with the problematic change removed. Please also test this 
   kernel if you are not affected by the change to see if the removal of the 
   problematic change has any ill side effects.
2. Install xserver-xorg-core and xserver-xorg-video-mach64 from experimental
   and run this on a kernel 2.6.26 or later without removing the change. This 
   should also fix the problem.

Thanks for you help

Gaudenz

Please CC me on any replies to the mailinglists.

[1] http://bugs.debian.org/488669
    http://bugs.debian.org/500358
[2] http://wiki.debian.org/BugSprint
-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Mon, 27 Oct 2008 09:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 27 Oct 2008 09:30:12 GMT) Full text and rfc822 format available.

Message #50 received at 488669@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: Gaudenz Steinlin <gaudenz@debian.org>, debian-sparc@lists.debian.org, angelo.rossi.homelab@gmail.com, mikpe@it.uu.se, Marco Guidetti <gaedol@gmail.com>, Riku Voipio <riku.voipio@iki.fi>, 488669@bugs.debian.org, 500358@bugs.debian.org
Subject: Re: resolving X Server crashes on SPARC (bugs #488669 and #500358)
Date: Mon, 27 Oct 2008 10:20:21 +0100
On Mon, Oct 27, 2008 at 09:36:39AM +0100, Gaudenz Steinlin wrote:
> 1. Install the kernel package from http://people.debian.org/~gaudenz/sparc
>    and test if this fixes the problem. This is the same kernel as currently 
>    in unstable with the problematic change removed. Please also test this 
>    kernel if you are not affected by the change to see if the removal of the 
>    problematic change has any ill side effects.

Could you extract the relevant patch from that package and send it over?
I've no idea if our modern packaged kernels work on my machine, and I don't
see any point in having to test both of those at once.

-- 
     2. That which causes joy or happiness.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Mon, 27 Oct 2008 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikael Pettersson <mikpe@it.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 27 Oct 2008 10:00:03 GMT) Full text and rfc822 format available.

Message #55 received at 488669@bugs.debian.org (full text, mbox):

From: Mikael Pettersson <mikpe@it.uu.se>
To: Gaudenz Steinlin <gaudenz@debian.org>
Cc: debian-sparc@lists.debian.org, angelo.rossi.homelab@gmail.com, mikpe@it.uu.se, Josip Rodin <joy@debbugs.entuzijast.net>, Marco Guidetti <gaedol@gmail.com>, Riku Voipio <riku.voipio@iki.fi>, 488669@bugs.debian.org, 500358@bugs.debian.org
Subject: Re: resolving X Server crashes on SPARC (bugs #488669 and #500358)
Date: Mon, 27 Oct 2008 10:58:59 +0100
Gaudenz Steinlin writes:
 > Hi
 > 
 > Joss assigned me these two bugs[1] (currently merged) for the bug sprint[2]. As
 > I lack proper SPARC hardware to investigate this myself, I need your help.
 > 
 > The two bugs are about X Server Crashes on SPARCs with PCI ATI Mach64 cards. The
 > most probable cause of the crash is an incompatible kernel change introduced with
 > kernel 2.6.26. For #500358 I'm quite sure that it' caused by the kernel change. 
 > For #488669 I'm not quite sure if it's really the same bug, because the original
 > reporter ran kernel 2.6.24 which predates the kernel change. For more information 
 > about the kernel change see: http://marc.info/?t=121247857800001&r=1&w=2
 > 
 > If the crash is really caused by the kernel change, the real bug is in the X server.
 > But to fix it, we would have to upgrade to xserver-xorg-core 1.5. I don't think that
 > this is really an option. The other options would be to revert the kernel change or
 > to release with a non-working X server for some SPARC machines. Unless of course we
 > find someone willing and able to fix the X server in lenny to work with the kernel 
 > change. A simple backport of the changes in 1.5 doesn't seem to be possible.
 > 
 > I would like you to test two things:
 > 1. Install the kernel package from http://people.debian.org/~gaudenz/sparc
 >    and test if this fixes the problem. This is the same kernel as currently 
 >    in unstable with the problematic change removed. Please also test this 
 >    kernel if you are not affected by the change to see if the removal of the 
 >    problematic change has any ill side effects.
 > 2. Install xserver-xorg-core and xserver-xorg-video-mach64 from experimental
 >    and run this on a kernel 2.6.26 or later without removing the change. This 
 >    should also fix the problem.

I'm the one who started the kernel thread mentioned above. I run Aurora
not Debian on my Ultra5 so I can't really test your Debian packages. However,
I have been using a private forward-port of a patch to revert the problematic
SPARC kernel change in the 2.6.26 and 2.6.27 kernels, and at least for me
reverting the change fixes the X server but hasn't caused any ill effects.

/Mikael




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Mon, 27 Oct 2008 10:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 27 Oct 2008 10:21:02 GMT) Full text and rfc822 format available.

Message #60 received at 488669@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: Josip Rodin <joy@debbugs.entuzijast.net>
Cc: debian-sparc@lists.debian.org, angelo.rossi.homelab@gmail.com, mikpe@it.uu.se, Marco Guidetti <gaedol@gmail.com>, Riku Voipio <riku.voipio@iki.fi>, 488669@bugs.debian.org, 500358@bugs.debian.org
Subject: Re: resolving X Server crashes on SPARC (bugs #488669 and #500358)
Date: Mon, 27 Oct 2008 11:22:11 +0100
[Message part 1 (text/plain, inline)]
Hi Josip 

On Mon, Oct 27, 2008 at 10:20:21AM +0100, Josip Rodin wrote:
> On Mon, Oct 27, 2008 at 09:36:39AM +0100, Gaudenz Steinlin wrote:
> > 1. Install the kernel package from http://people.debian.org/~gaudenz/sparc
> >    and test if this fixes the problem. This is the same kernel as currently 
> >    in unstable with the problematic change removed. Please also test this 
> >    kernel if you are not affected by the change to see if the removal of the 
> >    problematic change has any ill side effects.
> 
> Could you extract the relevant patch from that package and send it over?
> I've no idea if our modern packaged kernels work on my machine, and I don't
> see any point in having to test both of those at once.

I've attached the patch against 2.6.26 up to 2.26.5 and the patch against 2.26.6.
But kernels before 2.6.26-rcX should work without any problem. So testing is only
useful if you are running a modern kernel. The patch just reverts the problematic
changes. Older kernels without the changes should be fine.

Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[sparc_pci_2.6.26.6.patch (text/x-diff, attachment)]
[sparc_pci_2.6.26.5.patch (text/x-diff, attachment)]

Message sent on to Marco Guidetti <gaedol@gmail.com>:
Bug#488669. (Tue, 28 Oct 2008 13:36:06 GMT) Full text and rfc822 format available.

Message #63 received at 488669-submitter@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 488669-submitter@bugs.debian.org
Subject: sparc X bug
Date: Tue, 28 Oct 2008 14:39:42 +0100
Hi Marco

In order to resolve the bug you submitted in June against
xserver-xorg because it did crash on your SPARC machine I 
need your help. Could you please answer the questions I 
sent you in an earlier mail this week. In case you did not
receive the mail it's attached.

In addition I have one more questions regarding your bug:

Which kernel version did you run when you encountered the 
bug? Was this an official Debian kernel or something you 
built yourself? According to the bug log it seems that 
you were running kernel 2.6.24-1-sparc64, but according to 
the current theory about the cause of this bug, it should not 
appear with this kernel version. If you also had the bug 
with kernel 2.6.24 I think there might be two separate 
issues.

So please answer my question about the kernel version and
if you have some spare time please install the kernel at
http://people.debian.org/~gaudenz/sparc/, then reboot 
and see if this fixes the bug.

Thanks for your cooperation

Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Tue, 28 Oct 2008 13:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 28 Oct 2008 13:48:05 GMT) Full text and rfc822 format available.

Message #68 received at 488669@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 488669@bugs.debian.org
Subject: sparc X server bug
Date: Tue, 28 Oct 2008 14:49:35 +0100
Hi Daniel

back in September you exchanged some mails with Riku Voipio
about a bug in the X server on SPARC. In order to resolve this
bug I need some further information. First of all I'm not really 
sure if bug in which you participated[1] is really the same as 
another SPARC X server issue (see [2]) which is clearly caused by
the kernel change you refer to in the bug log. The first bug 
reporter seems to be running a kernel version which shouldn't be 
affected by the kernel change. It could well be that this is an 
entirely different bug. Also the X server logs in the two bugs don't 
really match.

Therefore I would be interested in the log of the failing X server.
You will usually find the log in /var/log/Xorg.0.log.
Also it would be interesting if you only experience the bug with kernels 
2.6.26-rc1 and above or if it also exists with older kernels on your 
machine. 

Thanks for your cooperation.

Gaudenz

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=488669
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500358
-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Tue, 28 Oct 2008 22:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 28 Oct 2008 22:12:04 GMT) Full text and rfc822 format available.

Message #73 received at 488669@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Gaudenz Steinlin <gaudenz@debian.org>, 488669@bugs.debian.org
Subject: Re: Bug#488669: sparc X server bug
Date: Tue, 28 Oct 2008 23:02:14 +0100
[Message part 1 (text/plain, inline)]
Gaudenz Steinlin napsal(a):
> Hi Daniel
>
> back in September you exchanged some mails with Riku Voipio
> about a bug in the X server on SPARC. In order to resolve this
> bug I need some further information. First of all I'm not really 
> sure if bug in which you participated[1] is really the same as 
> another SPARC X server issue (see [2]) which is clearly caused by
> the kernel change you refer to in the bug log. The first bug 
> reporter seems to be running a kernel version which shouldn't be 
> affected by the kernel change. It could well be that this is an 
> entirely different bug. Also the X server logs in the two bugs don't 
> really match.
>
> Therefore I would be interested in the log of the failing X server.
> You will usually find the log in /var/log/Xorg.0.log.
> Also it would be interesting if you only experience the bug with kernels 
> 2.6.26-rc1 and above or if it also exists with older kernels on your 
> machine. 
>   
Hi Gaudenz,
I am happy to help you solve this problem on SPARC machine. There is 
attached log from my E250.
I run self compiled  2.6.26.1 kernel. For testing I upgrade machine to 
latest SID and run debian kernel to test Xorg.
But this kernel crash with:

[  184.755527] irq 13: nobody cared (try booting with the "irqpoll" option)
[  184.762164] Call Trace:
[  184.764589]  [0000000000484538] note_interrupt+0x23c/0x288 
[  184.770057]  [0000000000484b5c] handle_fasteoi_irq+0xcc/0xf0
[  184.775699]  [000000000042d500] handler_irq+0xac/0xd4
[  184.780733]  [00000000004208b4] tl0_irq5+0x1c/0x20
[  184.785507]  [00000000004e9d58] pde_users_dec+0x0/0x34   
[  184.790629]  [00000000004be2e0] alloc_inode+0x1c/0x17c   
[  184.795749]  [00000000004beb7c] iget_locked+0x48/0x124   
[  184.800869]  [00000000004e9e14] proc_get_inode+0x38/0x13c
[  184.806251]  [00000000004ee3fc] proc_lookup_de+0x68/0xac 
[  184.811546]  [00000000004ea430] proc_root_lookup+0x14/0x2c
[  184.817014]  [00000000004b29f0] do_lookup+0xbc/0x1d8
[  184.821961]  [00000000004b4f00] __link_path_walk+0x890/0xd78
[  184.827604]  [00000000004b541c] path_walk+0x34/0x88
[  184.832464]  [00000000004b574c] do_path_lookup+0x134/0x1cc
[  184.837932]  [00000000004b62cc] __path_lookup_intent_open+0x3c/0x88
[  184.844183]  [00000000004b63f0] do_filp_open+0x78/0x7a8           
[  184.849391] handlers:
[  184.851647] [<0000000010041934>] (sym53c8xx_intr+0x8/0x68 [sym53c8xx])
[  184.858175] Disabling IRQ #13




I must say again that problem on SPARC machines with Xorg is problem 
with Xorg not with kernel.

Please look at  http://lkml.org/lkml/2008/6/3/147 <http://lkml.org/lkml/2008/6/3/147>

					Thanks
							Dan







[Xorg.log (text/x-log, inline)]
X.Org X Server 1.4.2
Release Date: 11 June 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux Debian (xorg-server 2:1.4.2-7)
Current Operating System: Linux sunik 2.6.26 #2 SMP Mon Jul 21 19:49:01 CEST 2008 sparc64
Build Date: 01 October 2008  03:55:43PM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Oct 28 20:57:48 2008
(II) No APM support in BIOS or kernel
(II) Loader magic: 0x1c0c78
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(--) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:01:0: chip 108e,1000 card 0000,0000 rev 01 class 06,80,00 hdr 80
(II) PCI: 00:01:1: chip 108e,1001 card 0000,0000 rev 01 class 02,00,00 hdr 80
(II) PCI: 00:03:0: chip 1000,000f card 0000,0000 rev 14 class 01,00,00 hdr 80
(II) PCI: 00:03:1: chip 1000,000f card 0000,0000 rev 14 class 01,00,00 hdr 80
(II) PCI: 00:04:0: chip 1000,000f card 1000,1000 rev 14 class 01,00,00 hdr 80
(II) PCI: 00:04:1: chip 1000,000f card 1000,1000 rev 14 class 01,00,00 hdr 80
(II) PCI: 00:05:0: chip 3d3d,0009 card 1227,0006 rev 01 class 03,80,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,0), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(0:5:0) 3DLabs Permedia II 2D+3D rev 1, Mem @ 0x00020000/17, 0x00800000/23, 0x01000000/23, BIOS @ 0x01800000/16
List of video drivers:
	rendition
	mach64
	neomagic
	r128
	sunffb
	glint
	apm
	ati
	ark
	mga
	radeon
	chips
	cirrus
	dummy
	i128
	i740
	imstt
	nv
	radeonhd
	s3virge
	savage
	tdfx
	trident
	v4l
	siliconmotion
	suntcx
	suncg6
	sunbw2
	suncg14
	suncg3
	sunleo
	fbdev
	vesa
	vga
(II) LoadModule: "rendition"
(II) Loading /usr/lib/xorg/modules/drivers//rendition_drv.so
(II) Module rendition: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 4.2.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "mach64"
(II) Loading /usr/lib/xorg/modules/drivers//mach64_drv.so
(II) Module mach64: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 6.8.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "neomagic"
(II) Loading /usr/lib/xorg/modules/drivers//neomagic_drv.so
(II) Module neomagic: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.2.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "r128"
(II) Loading /usr/lib/xorg/modules/drivers//r128_drv.so
(II) Module r128: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 6.8.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "sunffb"
(II) Loading /usr/lib/xorg/modules/drivers//sunffb_drv.so
(II) Module sunffb: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "glint"
(II) Loading /usr/lib/xorg/modules/drivers//glint_drv.so
(II) Module glint: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.2.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "apm"
(II) Loading /usr/lib/xorg/modules/drivers//apm_drv.so
(II) Module apm: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.2.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "ati"
(II) Loading /usr/lib/xorg/modules/drivers//ati_drv.so
(II) Module ati: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 6.9.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "ark"
(II) Loading /usr/lib/xorg/modules/drivers//ark_drv.so
(II) Module ark: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 0.7.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "mga"
(II) Loading /usr/lib/xorg/modules/drivers//mga_drv.so
(II) Module mga: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.4.9
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers//radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 4.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "chips"
(II) Loading /usr/lib/xorg/modules/drivers//chips_drv.so
(II) Module chips: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.2.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "cirrus"
(II) Loading /usr/lib/xorg/modules/drivers//cirrus_drv.so
(II) Module cirrus: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.2.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "dummy"
(II) Loading /usr/lib/xorg/modules/drivers//dummy_drv.so
(II) Module dummy: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 0.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "i128"
(II) Loading /usr/lib/xorg/modules/drivers//i128_drv.so
(II) Module i128: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "i740"
(II) Loading /usr/lib/xorg/modules/drivers//i740_drv.so
(II) Module i740: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.2.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "imstt"
(II) Loading /usr/lib/xorg/modules/drivers//imstt_drv.so
(II) Module imstt: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "nv"
(II) Loading /usr/lib/xorg/modules/drivers//nv_drv.so
(II) Module nv: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 2.1.10
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "radeonhd"
(II) Loading /usr/lib/xorg/modules/drivers//radeonhd_drv.so
(II) Module radeonhd: vendor="AMD GPG"
	compiled for 1.4.0.90, module version = 1.2.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "s3virge"
(II) Loading /usr/lib/xorg/modules/drivers//s3virge_drv.so
(II) Module s3virge: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.10.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "savage"
(II) Loading /usr/lib/xorg/modules/drivers//savage_drv.so
(II) Module savage: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 2.2.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "tdfx"
(II) Loading /usr/lib/xorg/modules/drivers//tdfx_drv.so
(II) Module tdfx: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.4.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "trident"
(II) Loading /usr/lib/xorg/modules/drivers//trident_drv.so
(II) Module trident: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "v4l"
(II) Loading /usr/lib/xorg/modules/drivers//v4l_drv.so
(II) Module v4l: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 0.1.1
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "siliconmotion"
(II) Loading /usr/lib/xorg/modules/drivers//siliconmotion_drv.so
(II) Module siliconmotion: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.6.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "suntcx"
(II) Loading /usr/lib/xorg/modules/drivers//suntcx_drv.so
(II) Module suntcx: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "suncg6"
(II) Loading /usr/lib/xorg/modules/drivers//suncg6_drv.so
(II) Module suncg6: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "sunbw2"
(II) Loading /usr/lib/xorg/modules/drivers//sunbw2_drv.so
(II) Module sunbw2: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "suncg14"
(II) Loading /usr/lib/xorg/modules/drivers//suncg14_drv.so
(II) Module suncg14: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "suncg3"
(II) Loading /usr/lib/xorg/modules/drivers//suncg3_drv.so
(II) Module suncg3: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "sunleo"
(II) Loading /usr/lib/xorg/modules/drivers//sunleo_drv.so
(II) Module sunleo: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "fbdev"
(II) Loading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 0.4.0
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "vesa"
(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "vga"
(II) Loading /usr/lib/xorg/modules/drivers//vga_drv.so
(II) Module vga: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 4.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) Addressable bus resource ranges are
(II) OS-reported resource ranges:
(II) Active PCI resource ranges:
	[0] -1	1	0x0001e000 - 0x0001efff (0x1000) MX[B]
	[1] -1	1	0x0001c000 - 0x0001c0ff (0x100) MX[B]
	[2] -1	1	0x0001a000 - 0x0001afff (0x1000) MX[B]
	[3] -1	1	0x00018000 - 0x000180ff (0x100) MX[B]
	[4] -1	1	0x00016000 - 0x00016fff (0x1000) MX[B]
	[5] -1	1	0x00014000 - 0x000140ff (0x100) MX[B]
	[6] -1	1	0x00012000 - 0x00012fff (0x1000) MX[B]
	[7] -1	1	0x00010000 - 0x000100ff (0x100) MX[B]
	[8] -1	1	0x00008000 - 0x0000801f (0x20) MX[B]
	[9] -1	1	0x71000000 - 0x71000000 (0x1) MX[B]
	[10] -1	1	0x70000000 - 0x70000000 (0x1) MX[B]
	[11] -1	1	0x01800000 - 0x0180ffff (0x10000) MX[B](B)
	[12] -1	1	0x01000000 - 0x017fffff (0x800000) MX[B](B)
	[13] -1	1	0x00800000 - 0x00ffffff (0x800000) MX[B](B)
	[14] -1	1	0x00020000 - 0x0003ffff (0x20000) MX[B](B)
	[15] -1	1	0x00001000 - 0x000010ff (0x100) IX[B]
	[16] -1	1	0x00000c00 - 0x00000cff (0x100) IX[B]
	[17] -1	1	0x00000800 - 0x000008ff (0x100) IX[B]
	[18] -1	1	0x00000400 - 0x000004ff (0x100) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	1	0x0001e000 - 0x0001efff (0x1000) MX[B]
	[1] -1	1	0x0001c000 - 0x0001c0ff (0x100) MX[B]
	[2] -1	1	0x0001a000 - 0x0001afff (0x1000) MX[B]
	[3] -1	1	0x00018000 - 0x000180ff (0x100) MX[B]
	[4] -1	1	0x00016000 - 0x00016fff (0x1000) MX[B]
	[5] -1	1	0x00014000 - 0x000140ff (0x100) MX[B]
	[6] -1	1	0x00012000 - 0x00012fff (0x1000) MX[B]
	[7] -1	1	0x00010000 - 0x000100ff (0x100) MX[B]
	[8] -1	1	0x00008000 - 0x0000801f (0x20) MX[B]
	[9] -1	1	0x71000000 - 0x71000000 (0x1) MX[B]
	[10] -1	1	0x70000000 - 0x70000000 (0x1) MX[B]
	[11] -1	1	0x01800000 - 0x0180ffff (0x10000) MX[B](B)
	[12] -1	1	0x01000000 - 0x017fffff (0x800000) MX[B](B)
	[13] -1	1	0x00800000 - 0x00ffffff (0x800000) MX[B](B)
	[14] -1	1	0x00020000 - 0x0003ffff (0x20000) MX[B](B)
	[15] -1	1	0x00001000 - 0x000010ff (0x100) IX[B]
	[16] -1	1	0x00000c00 - 0x00000cff (0x100) IX[B]
	[17] -1	1	0x00000800 - 0x000008ff (0x100) IX[B]
	[18] -1	1	0x00000400 - 0x000004ff (0x100) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
(II) All system resource ranges:
	[0] -1	1	0x0001e000 - 0x0001efff (0x1000) MX[B]
	[1] -1	1	0x0001c000 - 0x0001c0ff (0x100) MX[B]
	[2] -1	1	0x0001a000 - 0x0001afff (0x1000) MX[B]
	[3] -1	1	0x00018000 - 0x000180ff (0x100) MX[B]
	[4] -1	1	0x00016000 - 0x00016fff (0x1000) MX[B]
	[5] -1	1	0x00014000 - 0x000140ff (0x100) MX[B]
	[6] -1	1	0x00012000 - 0x00012fff (0x1000) MX[B]
	[7] -1	1	0x00010000 - 0x000100ff (0x100) MX[B]
	[8] -1	1	0x00008000 - 0x0000801f (0x20) MX[B]
	[9] -1	1	0x71000000 - 0x71000000 (0x1) MX[B]
	[10] -1	1	0x70000000 - 0x70000000 (0x1) MX[B]
	[11] -1	1	0x01800000 - 0x0180ffff (0x10000) MX[B](B)
	[12] -1	1	0x01000000 - 0x017fffff (0x800000) MX[B](B)
	[13] -1	1	0x00800000 - 0x00ffffff (0x800000) MX[B](B)
	[14] -1	1	0x00020000 - 0x0003ffff (0x20000) MX[B](B)
	[15] -1	1	0x00001000 - 0x000010ff (0x100) IX[B]
	[16] -1	1	0x00000c00 - 0x00000cff (0x100) IX[B]
	[17] -1	1	0x00000800 - 0x000008ff (0x100) IX[B]
	[18] -1	1	0x00000400 - 0x000004ff (0x100) IX[B]
(II) Primary Device is: PCI 00:05:0
(II) GLINT: driver for 3Dlabs chipsets: gamma, gamma2, ti_pm2, ti_pm, r4,
	pm4, pm3, pm2v, pm2, pm, 300sx, 500tx, mx, delta
(II) Loading sub module "cirrus_laguna"
(II) LoadModule: "cirrus_laguna"
(II) Loading /usr/lib/xorg/modules/drivers//cirrus_laguna.so
(II) Module cirrus_laguna: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "cirrus_alpine"
(II) LoadModule: "cirrus_alpine"
(II) Loading /usr/lib/xorg/modules/drivers//cirrus_alpine.so
(II) Module cirrus_alpine: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) v4l driver for Video4Linux
(++) Using config file: "/root/xorg.conf.new"
(==) ServerLayout "X.org Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Card0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(==) Including the default font path /usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType.
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/cyrillic,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(**) RgbPath set to "/etc/X11/rgb"
(**) ModulePath set to "/usr/lib/xorg/modules"
(--) Chipset pm2v found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	1	0x0001e000 - 0x0001efff (0x1000) MX[B]
	[1] -1	1	0x0001c000 - 0x0001c0ff (0x100) MX[B]
	[2] -1	1	0x0001a000 - 0x0001afff (0x1000) MX[B]
	[3] -1	1	0x00018000 - 0x000180ff (0x100) MX[B]
	[4] -1	1	0x00016000 - 0x00016fff (0x1000) MX[B]
	[5] -1	1	0x00014000 - 0x000140ff (0x100) MX[B]
	[6] -1	1	0x00012000 - 0x00012fff (0x1000) MX[B]
	[7] -1	1	0x00010000 - 0x000100ff (0x100) MX[B]
	[8] -1	1	0x00008000 - 0x0000801f (0x20) MX[B]
	[9] -1	1	0x71000000 - 0x71000000 (0x1) MX[B]
	[10] -1	1	0x70000000 - 0x70000000 (0x1) MX[B]
	[11] -1	1	0x01800000 - 0x0180ffff (0x10000) MX[B](B)
	[12] -1	1	0x01000000 - 0x017fffff (0x800000) MX[B](B)
	[13] -1	1	0x00800000 - 0x00ffffff (0x800000) MX[B](B)
	[14] -1	1	0x00020000 - 0x0003ffff (0x20000) MX[B](B)
	[15] -1	1	0x00001000 - 0x000010ff (0x100) IX[B]
	[16] -1	1	0x00000c00 - 0x00000cff (0x100) IX[B]
	[17] -1	1	0x00000800 - 0x000008ff (0x100) IX[B]
	[18] -1	1	0x00000400 - 0x000004ff (0x100) IX[B]
(WW) ****INVALID MEM ALLOCATION**** b: 0x20000 e: 0x3ffff correcting
(II) window:
(II) resSize:
	[0] -1	1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) window fixed:
(WW) ****INVALID MEM ALLOCATION**** b: 0x800000 e: 0xffffff correcting
(II) window:
(II) resSize:
	[0] -1	1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) window fixed:
(WW) ****INVALID MEM ALLOCATION**** b: 0x1000000 e: 0x17fffff correcting
(II) window:
(II) resSize:
	[0] -1	1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) window fixed:
(II) resource ranges after probing:
	[0] -1	1	0x00000000 - 0xffffffff (0x0) MX[B](B)
	[1] -1	1	0x00000000 - 0xffffffff (0x0) MX[B](B)
	[2] -1	1	0x00000000 - 0xffffffff (0x0) MX[B](B)
	[3] -1	1	0x0001e000 - 0x0001efff (0x1000) MX[B]
	[4] -1	1	0x0001c000 - 0x0001c0ff (0x100) MX[B]
	[5] -1	1	0x0001a000 - 0x0001afff (0x1000) MX[B]
	[6] -1	1	0x00018000 - 0x000180ff (0x100) MX[B]
	[7] -1	1	0x00016000 - 0x00016fff (0x1000) MX[B]
	[8] -1	1	0x00014000 - 0x000140ff (0x100) MX[B]
	[9] -1	1	0x00012000 - 0x00012fff (0x1000) MX[B]
	[10] -1	1	0x00010000 - 0x000100ff (0x100) MX[B]
	[11] -1	1	0x00008000 - 0x0000801f (0x20) MX[B]
	[12] -1	1	0x71000000 - 0x71000000 (0x1) MX[B]
	[13] -1	1	0x70000000 - 0x70000000 (0x1) MX[B]
	[14] -1	1	0x01800000 - 0x0180ffff (0x10000) MX[B](B)
	[15] 0	1	0x000a0000 - 0x000affff (0x10000) MS[B]
	[16] 0	1	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[17] 0	1	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[18] -1	1	0x00001000 - 0x000010ff (0x100) IX[B]
	[19] -1	1	0x00000c00 - 0x00000cff (0x100) IX[B]
	[20] -1	1	0x00000800 - 0x000008ff (0x100) IX[B]
	[21] -1	1	0x00000400 - 0x000004ff (0x100) IX[B]
	[22] 0	1	0x000003b0 - 0x000003bb (0xc) IS[B]
	[23] 0	1	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.1.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) GLINT(0): initializing int10

Fatal server error:
xf86MapDomainMem():  mmap() failure


Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Wed, 29 Oct 2008 07:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 29 Oct 2008 07:15:02 GMT) Full text and rfc822 format available.

Message #78 received at 488669@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Gaudenz Steinlin <gaudenz@debian.org>, 488669@bugs.debian.org
Subject: Re: Bug#488669: sparc X server bug
Date: Wed, 29 Oct 2008 08:10:18 +0100
Gaudenz Steinlin napsal(a):
> Hi Daniel
> 
> back in September you exchanged some mails with Riku Voipio
> about a bug in the X server on SPARC. In order to resolve this
> bug I need some further information. First of all I'm not really 
> sure if bug in which you participated[1] is really the same as 
> another SPARC X server issue (see [2]) which is clearly caused by
> the kernel change you refer to in the bug log. The first bug 
> reporter seems to be running a kernel version which shouldn't be 
> affected by the kernel change. It could well be that this is an 
> entirely different bug. Also the X server logs in the two bugs don't 
> really match.
> 
> Therefore I would be interested in the log of the failing X server.
> You will usually find the log in /var/log/Xorg.0.log.
> Also it would be interesting if you only experience the bug with kernels 
> 2.6.26-rc1 and above or if it also exists with older kernels on your 
> machine. 
> 
> Thanks for your cooperation.
> 
Hi Gaudenz,
today I updated Xorg to experimental as situation is better.
Card is now first time detected but Xserver crash:


II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
        compiled for 1.4.99.906, module version = 1.3.1
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 2.1
(II) GLINT: driver for 3Dlabs chipsets: gamma, gamma2, ti_pm2, ti_pm, r4,
        pm4, pm3, pm2v, pm2, pm, 300sx, 500tx, mx, delta
(II) Primary Device is: PCI 00@00:05:0
(WW) Falling back to old probe method for glint
(--) Assigning device section with no busID to primary device
(--) Chipset pm2v found
(II) resource ranges after xf86ClaimFixedResources() call:
(II) resource ranges after probing:
(==) GLINT(0): Depth 8, (--) framebuffer bpp 8
(==) GLINT(0): Default visual is PseudoColor
(==) GLINT(0): Using gamma correction (1.0, 1.0, 1.0)
(==) GLINT(0): Using HW cursor
(--) GLINT(0): Not using Linux framebuffer device
(--) GLINT(0): Chipset: "pm2v"
(--) GLINT(0): Linear framebuffer at 0x1000000
(--) GLINT(0): MMIO registers at 0x30000

Backtrace:

Fatal server error:
Caught signal 11.  Server aborting

Dan



-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Wed, 29 Oct 2008 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 29 Oct 2008 08:09:03 GMT) Full text and rfc822 format available.

Message #83 received at 488669@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 488669@bugs.debian.org
Subject: Re: Bug#488669: sparc X server bug
Date: Wed, 29 Oct 2008 08:01:30 +0100
Hi Daniel

Thanks for your testing. 

On Tue, Oct 28, 2008 at 11:02:14PM +0100, Daniel Smolik wrote:
> Hi Gaudenz,
> I am happy to help you solve this problem on SPARC machine. There is  
> attached log from my E250.
> I run self compiled  2.6.26.1 kernel. For testing I upgrade machine to  

Does your self compiled kernel have the patch from http://lkml.org/lkml/2008/6/3/147 
reverted or not? If not, could you try a self compiled kernel with this patch reverted?

> latest SID and run debian kernel to test Xorg.
> But this kernel crash with:
>
> [  184.755527] irq 13: nobody cared (try booting with the "irqpoll" option)
> [  184.762164] Call Trace:
> [  184.764589]  [0000000000484538] note_interrupt+0x23c/0x288 [  
> 184.770057]  [0000000000484b5c] handle_fasteoi_irq+0xcc/0xf0
> [  184.775699]  [000000000042d500] handler_irq+0xac/0xd4
> [  184.780733]  [00000000004208b4] tl0_irq5+0x1c/0x20
> [  184.785507]  [00000000004e9d58] pde_users_dec+0x0/0x34   [  
> 184.790629]  [00000000004be2e0] alloc_inode+0x1c/0x17c   [  184.795749]  
> [00000000004beb7c] iget_locked+0x48/0x124   [  184.800869]  
> [00000000004e9e14] proc_get_inode+0x38/0x13c
> [  184.806251]  [00000000004ee3fc] proc_lookup_de+0x68/0xac [  
> 184.811546]  [00000000004ea430] proc_root_lookup+0x14/0x2c
> [  184.817014]  [00000000004b29f0] do_lookup+0xbc/0x1d8
> [  184.821961]  [00000000004b4f00] __link_path_walk+0x890/0xd78
> [  184.827604]  [00000000004b541c] path_walk+0x34/0x88
> [  184.832464]  [00000000004b574c] do_path_lookup+0x134/0x1cc
> [  184.837932]  [00000000004b62cc] __path_lookup_intent_open+0x3c/0x88
> [  184.844183]  [00000000004b63f0] do_filp_open+0x78/0x7a8           [  
> 184.849391] handlers:
> [  184.851647] [<0000000010041934>] (sym53c8xx_intr+0x8/0x68 [sym53c8xx])
> [  184.858175] Disabling IRQ #13
>

Is this with the kernel from the Debian archive or with the kernel I 
compiled for testing purpose and put at http://people.debian.org/~gaudenz/sparc/ ?

>
> I must say again that problem on SPARC machines with Xorg is problem  
> with Xorg not with kernel.

In principle I agree with you. But to fix the X server side of the 
problem we would have to upgrade to the X server currently in 
experimental. I don't think that it's possible to upgrade lenny to
this version at this moment right before the release. So I'm trying to find
out if the problem is also solved by reverting the problematic kernel 
change.

And as you have noticed yourself, the X server in experimental has other
problems. So it's not really suitable for a release.
>
> Please look at  http://lkml.org/lkml/2008/6/3/147 <http://lkml.org/lkml/2008/6/3/147>

I'm already aware of this.

Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Wed, 29 Oct 2008 08:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 29 Oct 2008 08:12:03 GMT) Full text and rfc822 format available.

Message #88 received at 488669@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 488669@bugs.debian.org
Subject: Re: Bug#488669: sparc X server bug
Date: Wed, 29 Oct 2008 08:03:08 +0100
On Wed, Oct 29, 2008 at 08:10:18AM +0100, Daniel Smolik wrote:
> Hi Gaudenz,
> today I updated Xorg to experimental as situation is better.
> Card is now first time detected but Xserver crash:

I think this is a different bug. Could you please file a separte 
bug report for this problem. Thanks.

Gaudenz

>
>
> II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
> (II) Module kbd: vendor="X.Org Foundation"
>         compiled for 1.4.99.906, module version = 1.3.1
>         Module class: X.Org XInput Driver
>         ABI class: X.Org XInput driver, version 2.1
> (II) GLINT: driver for 3Dlabs chipsets: gamma, gamma2, ti_pm2, ti_pm, r4,
>         pm4, pm3, pm2v, pm2, pm, 300sx, 500tx, mx, delta
> (II) Primary Device is: PCI 00@00:05:0
> (WW) Falling back to old probe method for glint
> (--) Assigning device section with no busID to primary device
> (--) Chipset pm2v found
> (II) resource ranges after xf86ClaimFixedResources() call:
> (II) resource ranges after probing:
> (==) GLINT(0): Depth 8, (--) framebuffer bpp 8
> (==) GLINT(0): Default visual is PseudoColor
> (==) GLINT(0): Using gamma correction (1.0, 1.0, 1.0)
> (==) GLINT(0): Using HW cursor
> (--) GLINT(0): Not using Linux framebuffer device
> (--) GLINT(0): Chipset: "pm2v"
> (--) GLINT(0): Linear framebuffer at 0x1000000
> (--) GLINT(0): MMIO registers at 0x30000
>
> Backtrace:
>
> Fatal server error:
> Caught signal 11.  Server aborting
>
> Dan
>
>
>
> -- 
> Mydatex s r.o.
> http://www.mydatex.cz
> email: smolik@mydatex.cz
> mob: 604200362
> tel: 226210085

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Thu, 30 Oct 2008 19:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 30 Oct 2008 19:27:09 GMT) Full text and rfc822 format available.

Message #93 received at 488669@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Gaudenz Steinlin <gaudenz@debian.org>
Cc: 488669@bugs.debian.org
Subject: Re: Bug#488669: sparc X server bug
Date: Thu, 30 Oct 2008 20:25:13 +0100
Gaudenz Steinlin napsal(a):
> Hi Daniel
> 
> Thanks for your testing. 
> 
> On Tue, Oct 28, 2008 at 11:02:14PM +0100, Daniel Smolik wrote:
>> Hi Gaudenz,
>> I am happy to help you solve this problem on SPARC machine. There is  
>> attached log from my E250.
>> I run self compiled  2.6.26.1 kernel. For testing I upgrade machine to  
> 
> Does your self compiled kernel have the patch from http://lkml.org/lkml/2008/6/3/147 
> reverted or not? If not, could you try a self compiled kernel with this patch reverted?
I don't use this patch now.


> 
>> latest SID and run debian kernel to test Xorg.
>> But this kernel crash with:
>>
>> [  184.755527] irq 13: nobody cared (try booting with the "irqpoll" option)
>> [  184.762164] Call Trace:
>> [  184.764589]  [0000000000484538] note_interrupt+0x23c/0x288 [  
>> 184.770057]  [0000000000484b5c] handle_fasteoi_irq+0xcc/0xf0
>> [  184.775699]  [000000000042d500] handler_irq+0xac/0xd4
>> [  184.780733]  [00000000004208b4] tl0_irq5+0x1c/0x20
>> [  184.785507]  [00000000004e9d58] pde_users_dec+0x0/0x34   [  
>> 184.790629]  [00000000004be2e0] alloc_inode+0x1c/0x17c   [  184.795749]  
>> [00000000004beb7c] iget_locked+0x48/0x124   [  184.800869]  
>> [00000000004e9e14] proc_get_inode+0x38/0x13c
>> [  184.806251]  [00000000004ee3fc] proc_lookup_de+0x68/0xac [  
>> 184.811546]  [00000000004ea430] proc_root_lookup+0x14/0x2c
>> [  184.817014]  [00000000004b29f0] do_lookup+0xbc/0x1d8
>> [  184.821961]  [00000000004b4f00] __link_path_walk+0x890/0xd78
>> [  184.827604]  [00000000004b541c] path_walk+0x34/0x88
>> [  184.832464]  [00000000004b574c] do_path_lookup+0x134/0x1cc
>> [  184.837932]  [00000000004b62cc] __path_lookup_intent_open+0x3c/0x88
>> [  184.844183]  [00000000004b63f0] do_filp_open+0x78/0x7a8           [  
>> 184.849391] handlers:
>> [  184.851647] [<0000000010041934>] (sym53c8xx_intr+0x8/0x68 [sym53c8xx])
>> [  184.858175] Disabling IRQ #13
>>
> 
> Is this with the kernel from the Debian archive or with the kernel I 
> 
iled for testing purpose and put at http://people.debian.org/~gaudenz/sparc/ ?
Your kernel boots fine, but now I have Xorg from experimental. And it's doesn't work too.
I dmesg I found this:

sunik login: [  192.328556] PCI: Cannot allocate resource (bogus alignment) 6 [1ff81800000:1ff8180ffff] (flags 6200) of 
0000:00:05.0
[  192.339862] PCI: Cannot allocate resource (bogus alignment) 6 [1ff81800000:1ff8180ffff] (flags 6200) of 0000:00:05.0
I now try downgrade Xorg from experimental to SID.


			Dan





> 
>> I must say again that problem on SPARC machines with Xorg is problem  
>> with Xorg not with kernel.
> 
> In principle I agree with you. But to fix the X server side of the 
> problem we would have to upgrade to the X server currently in 
> experimental. I don't think that it's possible to upgrade lenny to
> this version at this moment right before the release. So I'm trying to find
> out if the problem is also solved by reverting the problematic kernel 
> change.
> 
> And as you have noticed yourself, the X server in experimental has other
> problems. So it's not really suitable for a release.
>> Please look at  http://lkml.org/lkml/2008/6/3/147 <http://lkml.org/lkml/2008/6/3/147>
> 
> I'm already aware of this.
> 
> Gaudenz
> 


-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Thu, 30 Oct 2008 20:42:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 30 Oct 2008 20:42:01 GMT) Full text and rfc822 format available.

Message #98 received at 488669@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: 488669@bugs.debian.org
Subject: Re: Bug#488669: sparc X server bug
Date: Thu, 30 Oct 2008 21:40:11 +0100
Gaudenz Steinlin napsal(a):
> Hi Daniel
> 
> Thanks for your testing. 
> 
> On Tue, Oct 28, 2008 at 11:02:14PM +0100, Daniel Smolik wrote:
>> Hi Gaudenz,
>> I am happy to help you solve this problem on SPARC machine. There is  
>> attached log from my E250.
>> I run self compiled  2.6.26.1 kernel. For testing I upgrade machine to  
> 
> Does your self compiled kernel have the patch from http://lkml.org/lkml/2008/6/3/147 
> reverted or not? If not, could you try a self compiled kernel with this patch reverted?
> 
>> latest SID and run debian kernel to test Xorg.
>> But this kernel crash with:
>>
>> [  184.755527] irq 13: nobody cared (try booting with the "irqpoll" option)
>> [  184.762164] Call Trace:
>> [  184.764589]  [0000000000484538] note_interrupt+0x23c/0x288 [  
>> 184.770057]  [0000000000484b5c] handle_fasteoi_irq+0xcc/0xf0
>> [  184.775699]  [000000000042d500] handler_irq+0xac/0xd4
>> [  184.780733]  [00000000004208b4] tl0_irq5+0x1c/0x20
>> [  184.785507]  [00000000004e9d58] pde_users_dec+0x0/0x34   [  
>> 184.790629]  [00000000004be2e0] alloc_inode+0x1c/0x17c   [  184.795749]  
>> [00000000004beb7c] iget_locked+0x48/0x124   [  184.800869]  
>> [00000000004e9e14] proc_get_inode+0x38/0x13c
>> [  184.806251]  [00000000004ee3fc] proc_lookup_de+0x68/0xac [  
>> 184.811546]  [00000000004ea430] proc_root_lookup+0x14/0x2c
>> [  184.817014]  [00000000004b29f0] do_lookup+0xbc/0x1d8
>> [  184.821961]  [00000000004b4f00] __link_path_walk+0x890/0xd78
>> [  184.827604]  [00000000004b541c] path_walk+0x34/0x88
>> [  184.832464]  [00000000004b574c] do_path_lookup+0x134/0x1cc
>> [  184.837932]  [00000000004b62cc] __path_lookup_intent_open+0x3c/0x88
>> [  184.844183]  [00000000004b63f0] do_filp_open+0x78/0x7a8           [  
>> 184.849391] handlers:
>> [  184.851647] [<0000000010041934>] (sym53c8xx_intr+0x8/0x68 [sym53c8xx])
>> [  184.858175] Disabling IRQ #13
>>
> 
> Is this with the kernel from the Debian archive or with the kernel I 
> compiled for testing purpose and put at http://people.debian.org/~gaudenz/sparc/ ?
I downgraded Xorg to SID and there is a result:

==) Log file: "/var/log/Xorg.0.log", Time: Thu Oct 30 21:36:11 2008
(++) Using config file: "/root/xorg.conf.new"
(WW) ****INVALID MEM ALLOCATION**** b: 0x20000 e: 0x3ffff correcting
mmap failure: Invalid argument

Fatal server error:
xf86MapDomainMem():  mmap() failure

sunik:~# uname -a
Linux sunik 2.6.26-1-sparc64 #1 Sun Oct 26 17:42:45 UTC 2008 sparc64 GNU/Linux

I mean that patch doesn't help.


Dan





> 
>> I must say again that problem on SPARC machines with Xorg is problem  
>> with Xorg not with kernel.
> 
> In principle I agree with you. But to fix the X server side of the 
> problem we would have to upgrade to the X server currently in 
> experimental. I don't think that it's possible to upgrade lenny to
> this version at this moment right before the release. So I'm trying to find
> out if the problem is also solved by reverting the problematic kernel 
> change.
> 
> And as you have noticed yourself, the X server in experimental has other
> problems. So it's not really suitable for a release.
>> Please look at  http://lkml.org/lkml/2008/6/3/147 <http://lkml.org/lkml/2008/6/3/147>
> 
> I'm already aware of this.
> 
> Gaudenz
> 


-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Thu, 30 Oct 2008 20:54:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 30 Oct 2008 20:54:22 GMT) Full text and rfc822 format available.

Message #103 received at 488669@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Gaudenz Steinlin <gaudenz@debian.org>, 488669@bugs.debian.org
Subject: Re: Bug#488669: sparc X server bug
Date: Thu, 30 Oct 2008 21:51:02 +0100
Gaudenz Steinlin napsal(a):
> Hi Daniel
> 
> Thanks for your testing. 
> 
> On Tue, Oct 28, 2008 at 11:02:14PM +0100, Daniel Smolik wrote:
>> Hi Gaudenz,
>> I am happy to help you solve this problem on SPARC machine. There is  
>> attached log from my E250.
>> I run self compiled  2.6.26.1 kernel. For testing I upgrade machine to  
> 
> Does your self compiled kernel have the patch from http://lkml.org/lkml/2008/6/3/147 
> reverted or not? If not, could you try a self compiled kernel with this patch reverted?
> 
>> latest SID and run debian kernel to test Xorg.
>> But this kernel crash with:
>>
>> [  184.755527] irq 13: nobody cared (try booting with the "irqpoll" option)
>> [  184.762164] Call Trace:
>> [  184.764589]  [0000000000484538] note_interrupt+0x23c/0x288 [  
>> 184.770057]  [0000000000484b5c] handle_fasteoi_irq+0xcc/0xf0
>> [  184.775699]  [000000000042d500] handler_irq+0xac/0xd4
>> [  184.780733]  [00000000004208b4] tl0_irq5+0x1c/0x20
>> [  184.785507]  [00000000004e9d58] pde_users_dec+0x0/0x34   [  
>> 184.790629]  [00000000004be2e0] alloc_inode+0x1c/0x17c   [  184.795749]  
>> [00000000004beb7c] iget_locked+0x48/0x124   [  184.800869]  
>> [00000000004e9e14] proc_get_inode+0x38/0x13c
>> [  184.806251]  [00000000004ee3fc] proc_lookup_de+0x68/0xac [  
>> 184.811546]  [00000000004ea430] proc_root_lookup+0x14/0x2c
>> [  184.817014]  [00000000004b29f0] do_lookup+0xbc/0x1d8
>> [  184.821961]  [00000000004b4f00] __link_path_walk+0x890/0xd78
>> [  184.827604]  [00000000004b541c] path_walk+0x34/0x88
>> [  184.832464]  [00000000004b574c] do_path_lookup+0x134/0x1cc
>> [  184.837932]  [00000000004b62cc] __path_lookup_intent_open+0x3c/0x88
>> [  184.844183]  [00000000004b63f0] do_filp_open+0x78/0x7a8           [  
>> 184.849391] handlers:
>> [  184.851647] [<0000000010041934>] (sym53c8xx_intr+0x8/0x68 [sym53c8xx])
>> [  184.858175] Disabling IRQ #13
>>
> 
> Is this with the kernel from the Debian archive or with the kernel I 
> compiled for testing purpose and put at http://people.debian.org/~gaudenz/sparc/ ?
> 
>> I must say again that problem on SPARC machines with Xorg is problem  
>> with Xorg not with kernel.
> 
> In principle I agree with you. But to fix the X server side of the 
> problem we would have to upgrade to the X server currently in 
> experimental. I don't think that it's possible to upgrade lenny to
> this version at this moment right before the release. So I'm trying to find
> out if the problem is also solved by reverting the problematic kernel 
> change.
> 
> And as you have noticed yourself, the X server in experimental has other
> problems. So it's not really suitable for a release.
>> Please look at  http://lkml.org/lkml/2008/6/3/147 <http://lkml.org/lkml/2008/6/3/147>
> 

I remember that I can't get X working when  I upgrade my Sparc machines from 2.4 to 2.6. I mean that on multi domain PCI 
machines Xorg never work on 2.6.x. I ,may be year ago, try XFree86 and it's work.


				Regards
						Dan






-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Bug reassigned from package `xserver-xorg-core' to `linux-2.6'. Request was from "Max Dmitrichenko" <dmitrmax@gmail.com> to control@bugs.debian.org. (Fri, 31 Oct 2008 13:27:03 GMT) Full text and rfc822 format available.

Tags set to: patch Request was from "Max Dmitrichenko" <dmitrmax@gmail.com> to control@bugs.debian.org. (Fri, 31 Oct 2008 13:33:08 GMT) Full text and rfc822 format available.

Severity set to `important' from `grave' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 31 Oct 2008 14:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#488669; Package linux-2.6. (Fri, 31 Oct 2008 16:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 31 Oct 2008 16:30:02 GMT) Full text and rfc822 format available.

Message #114 received at 488669@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 488669@bugs.debian.org
Subject: Re: Bug#488669: sparc X server bug
Date: Fri, 31 Oct 2008 17:28:56 +0100
On Thu, Oct 30, 2008 at 09:37:47PM +0100, Daniel Smolik wrote:
> Gaudenz Steinlin napsal(a):
> I downgraded Xorg to SID and there is a result:
>
> ==) Log file: "/var/log/Xorg.0.log", Time: Thu Oct 30 21:36:11 2008
> (++) Using config file: "/root/xorg.conf.new"
> (WW) ****INVALID MEM ALLOCATION**** b: 0x20000 e: 0x3ffff correcting
> mmap failure: Invalid argument
>
> Fatal server error:
> xf86MapDomainMem():  mmap() failure
>

The X server in unstable is expected to not work without the patch. It should
behave the same as the kernel in testing in this regard.

> sunik:~# uname -a
> Linux sunik 2.6.26-1-sparc64 #1 Sun Oct 26 17:42:45 UTC 2008 sparc64 GNU/Linux
>
> I mean that patch doesn't help.

That's strange, because others report that the patch fixes the problem. I'm a bit
lost now and it's difficult to further debug this without the proper hardware.
Are you really sure that you are running the patched kernel and that you are 
not running the kernel from lenny or unstable? 

Gaudenz

>
>
> Dan
>
>
>
>
>
>>
>>> I must say again that problem on SPARC machines with Xorg is problem  
>>> with Xorg not with kernel.
>>
>> In principle I agree with you. But to fix the X server side of the  
>> problem we would have to upgrade to the X server currently in  
>> experimental. I don't think that it's possible to upgrade lenny to
>> this version at this moment right before the release. So I'm trying to find
>> out if the problem is also solved by reverting the problematic kernel  
>> change.
>>
>> And as you have noticed yourself, the X server in experimental has other
>> problems. So it's not really suitable for a release.
>>> Please look at  http://lkml.org/lkml/2008/6/3/147 <http://lkml.org/lkml/2008/6/3/147>
>>
>> I'm already aware of this.
>>
>> Gaudenz
>>
>
>
> -- 
> Mydatex s r.o.
> http://www.mydatex.cz
> email: smolik@mydatex.cz
> mob: 604200362
> tel: 226210085

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#488669; Package linux-2.6. (Fri, 31 Oct 2008 17:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 31 Oct 2008 17:09:02 GMT) Full text and rfc822 format available.

Message #119 received at 488669@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Gaudenz Steinlin <gaudenz@debian.org>
Cc: 488669@bugs.debian.org
Subject: Re: Bug#488669: sparc X server bug
Date: Fri, 31 Oct 2008 18:07:12 +0100
Gaudenz Steinlin napsal(a):
> On Thu, Oct 30, 2008 at 09:37:47PM +0100, Daniel Smolik wrote:
>> Gaudenz Steinlin napsal(a):
>> I downgraded Xorg to SID and there is a result:
>>
>> ==) Log file: "/var/log/Xorg.0.log", Time: Thu Oct 30 21:36:11 2008
>> (++) Using config file: "/root/xorg.conf.new"
>> (WW) ****INVALID MEM ALLOCATION**** b: 0x20000 e: 0x3ffff correcting
>> mmap failure: Invalid argument
>>
>> Fatal server error:
>> xf86MapDomainMem():  mmap() failure
>>
> 
> The X server in unstable is expected to not work without the patch. It should
> behave the same as the kernel in testing in this regard.
> 
>> sunik:~# uname -a
>> Linux sunik 2.6.26-1-sparc64 #1 Sun Oct 26 17:42:45 UTC 2008 sparc64 GNU/Linux
>>
>> I mean that patch doesn't help.
> 
> That's strange, because others report that the patch fixes the problem. I'm a bit
> lost now and it's difficult to further debug this without the proper hardware.
> Are you really sure that you are running the patched kernel and that you are 
> not running the kernel from lenny or unstable? 
I run kernel that I downloaded from your site. May be problem is that E250 i multi domain PCI machine.
Have other people the same HW as I or eg. Ultra 10 or 5 ?

				Regards
					Dan




> 
> Gaudenz
> 
>>
>> Dan
>>
>>
>>
>>
>>
>>>> I must say again that problem on SPARC machines with Xorg is problem  
>>>> with Xorg not with kernel.
>>> In principle I agree with you. But to fix the X server side of the  
>>> problem we would have to upgrade to the X server currently in  
>>> experimental. I don't think that it's possible to upgrade lenny to
>>> this version at this moment right before the release. So I'm trying to find
>>> out if the problem is also solved by reverting the problematic kernel  
>>> change.
>>>
>>> And as you have noticed yourself, the X server in experimental has other
>>> problems. So it's not really suitable for a release.
>>>> Please look at  http://lkml.org/lkml/2008/6/3/147 <http://lkml.org/lkml/2008/6/3/147>
>>> I'm already aware of this.
>>>
>>> Gaudenz
>>>
>>
>> -- 
>> Mydatex s r.o.
>> http://www.mydatex.cz
>> email: smolik@mydatex.cz
>> mob: 604200362
>> tel: 226210085
> 


-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Message sent on to Marco Guidetti <gaedol@gmail.com>:
Bug#488669. (Fri, 31 Oct 2008 18:39:02 GMT) Full text and rfc822 format available.

Message #122 received at 488669-submitter@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: debian-sparc@lists.debian.org, angelo.rossi.homelab@gmail.com, mikpe@it.uu.se, Josip Rodin <joy@debbugs.entuzijast.net>, Marco Guidetti <gaedol@gmail.com>, Riku Voipio <riku.voipio@iki.fi>
Cc: 488669-submitter@bugs.debian.org, 500358-submitter@bugs.debian.org
Subject: resolving X Server crashes on SPARC (bugs #488669 and #500358)
Date: Fri, 31 Oct 2008 19:36:18 +0100
Hi

OK, the bug sprint is over and this bug is still open, but I'll try to summarize
my findings. I won't be able to further work on this in the next day as my internet
connection is broken since the heavy snow yesterday (waiting for the phone company to
repair the phone line).

What I have found so far:
- Only one person not running the Debian X server reports that reverting the PCI
  change in the kernel fixes the problem.
- All others report that neither upgrading the X server to the version in experimantal nor
  the kernel patch fix the problem. They get various similar errors all hinting at "memory 
  allocation". 
- The original bug reporter sadly did not respond to my mails.
- Max Dmitrichenko developed a kernel patch which as far as I understand it fixes the problem 
  for the X server in experimental. I'm not sure if this patch is also able to solve the problem 
  with the X server in lenny.
- OK and I just found out that Bastian Blank donwgraded the bug to important without further 
  explanation in the bug log. 


I see the following options:

- Just agree with Bastian that this is not release critical and document the regression in the $
  release notes.
- If the patch from Max also fixes the issue when using the X server in lenny, then apply this
  patch to the lenny sparc kernel.
- Find someone with the appropriate hardware and dedication to fix the bug in the X server. 

Gaudenz

-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Message sent on to Marco Guidetti <gaedol@gmail.com>:
Bug#488669. (Sat, 01 Nov 2008 12:21:07 GMT) Full text and rfc822 format available.

Message #125 received at 488669-submitter@bugs.debian.org (full text, mbox):

From: "Max Dmitrichenko" <dmitrmax@gmail.com>
To: "Gaudenz Steinlin" <gaudenz@debian.org>, 488669-submitter@bugs.debian.org, 500358-submitter@bugs.debian.org
Cc: debian-sparc@lists.debian.org, angelo.rossi.homelab@gmail.com, mikpe@it.uu.se, "Josip Rodin" <joy@debbugs.entuzijast.net>, "Marco Guidetti" <gaedol@gmail.com>, "Riku Voipio" <riku.voipio@iki.fi>
Date: Sat, 1 Nov 2008 15:19:52 +0300
Gaudenz,

I'll try lenny's X server in the nearest future. I'm 95% sure that
it'll work with my patch or with the combination of my and your patch.

I'm totally disagree with you that it is not RC-bug. Even documented
in the release notes bug remains to be a bug. And X server is very
important package to be ignored. Imagine that this bug occurs on the
PC hardware. Why then sparc should be discriminated.

So, don't release lenny for a while :)

--
  Max




Message sent on to Marco Guidetti <gaedol@gmail.com>:
Bug#488669. (Tue, 04 Nov 2008 12:36:03 GMT) Full text and rfc822 format available.

Message #128 received at 488669-submitter@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: Max Dmitrichenko <dmitrmax@gmail.com>
Cc: Gaudenz Steinlin <gaudenz@debian.org>, 488669-submitter@bugs.debian.org, 500358-submitter@bugs.debian.org, debian-sparc@lists.debian.org, angelo.rossi.homelab@gmail.com, mikpe@it.uu.se, Marco Guidetti <gaedol@gmail.com>, Riku Voipio <riku.voipio@iki.fi>
Subject: Re: your mail
Date: Tue, 4 Nov 2008 13:30:58 +0100
On Sat, Nov 01, 2008 at 03:19:52PM +0300, Max Dmitrichenko wrote:
> I'll try lenny's X server in the nearest future. I'm 95% sure that
> it'll work with my patch or with the combination of my and your patch.

Are you talking about

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=5769907ade8dda7002b304c03ef9e4ee5c1e0821

?

(I still haven't found time to test either, I'm just checking...)

> I'm totally disagree with you that it is not RC-bug. Even documented
> in the release notes bug remains to be a bug. And X server is very
> important package to be ignored. Imagine that this bug occurs on the
> PC hardware. Why then sparc should be discriminated.
> 
> So, don't release lenny for a while :)

Having a common X server regression is an RC bug for the architecture IMHO.

-- 
     2. That which causes joy or happiness.




Message sent on to Marco Guidetti <gaedol@gmail.com>:
Bug#488669. (Tue, 04 Nov 2008 16:57:03 GMT) Full text and rfc822 format available.

Message #131 received at 488669-submitter@bugs.debian.org (full text, mbox):

From: "Max Dmitrichenko" <dmitrmax@gmail.com>
To: "Josip Rodin" <joy@debbugs.entuzijast.net>
Cc: "Gaudenz Steinlin" <gaudenz@debian.org>, 488669-submitter@bugs.debian.org, 500358-submitter@bugs.debian.org, debian-sparc@lists.debian.org, angelo.rossi.homelab@gmail.com, mikpe@it.uu.se, "Marco Guidetti" <gaedol@gmail.com>, "Riku Voipio" <riku.voipio@iki.fi>
Subject: Ответ: your mail
Date: Tue, 4 Nov 2008 19:56:14 +0300
Josip,

2008/11/4, Josip Rodin <joy@debbugs.entuzijast.net>:
> On Sat, Nov 01, 2008 at 03:19:52PM +0300, Max Dmitrichenko wrote:
>> I'll try lenny's X server in the nearest future. I'm 95% sure that
>> it'll work with my patch or with the combination of my and your patch.
>
> Are you talking about
>
> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=5769907ade8dda7002b304c03ef9e4ee5c1e0821
>
> ?

Yes, this one. It's already in the kernel? Cool! It's possible that
Dave Miller pushes this patch in the stable trees in the near future.

> Having a common X server regression is an RC bug for the architecture IMHO.

Totally agreed!

I'm just about to check the kernel with both patches applied to run
lenny's X server. Only my patch didn't worked. But this was expected.

--
  Max




Message sent on to Marco Guidetti <gaedol@gmail.com>:
Bug#488669. (Tue, 04 Nov 2008 20:21:22 GMT) Full text and rfc822 format available.

Message #134 received at 488669-submitter@bugs.debian.org (full text, mbox):

From: "Max Dmitrichenko" <dmitrmax@gmail.com>
To: "Josip Rodin" <joy@debbugs.entuzijast.net>
Cc: "Gaudenz Steinlin" <gaudenz@debian.org>, 488669-submitter@bugs.debian.org, 500358-submitter@bugs.debian.org, debian-sparc@lists.debian.org, angelo.rossi.homelab@gmail.com, mikpe@it.uu.se, "Marco Guidetti" <gaedol@gmail.com>, "Riku Voipio" <riku.voipio@iki.fi>
Subject: Fix found
Date: Tue, 4 Nov 2008 23:20:09 +0300
[Message part 1 (text/plain, inline)]
Ok!

I've rolled back to the lenny's X.org and applied both patches to the
kernel. It works!

The final patch which incorporates both patches against 2.6.26.6 (i.e.
sid's current kernel) is attached.

--
  Max
[sparc_fix_for_debian.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#488669; Package linux-2.6. (Thu, 06 Nov 2008 17:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 06 Nov 2008 17:27:02 GMT) Full text and rfc822 format available.

Message #139 received at 488669@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: Max Dmitrichenko <dmitrmax@gmail.com>, debian-kernel@lists.debian.org
Cc: 488669@bugs.debian.org, 500358@bugs.debian.org, debian-sparc@lists.debian.org
Subject: Re: Fix found
Date: Thu, 6 Nov 2008 18:24:57 +0100
Hi Max and Debian Kernel Team

Thanks for all the testing, Max! 

To the kernel team:
Is there any chance you could upload a kernel with Max's patch? The relevant
parts are already in the upstream kernel. The other part is a revert of a commit
in the upstream kernel which is incompatible with the X server in lenny. See the 
bug log for more details. Is there another upload of linux-2.6 planned before the 
release of lenny or do you plan to release with -9?

As this affects a major part of all SPARC machines, I really think this is release
critical and the bug severity should be upgraded again. If you don't disagree strongly
I will upgrade it in the next days.

Gaudenz

On Tue, Nov 04, 2008 at 11:20:09PM +0300, Max Dmitrichenko wrote:
> Ok!
> 
> I've rolled back to the lenny's X.org and applied both patches to the
> kernel. It works!
> 
> The final patch which incorporates both patches against 2.6.26.6 (i.e.
> sid's current kernel) is attached.
> 
> --
>   Max

> diff -urpN linux-source-2.6.26/arch/sparc64/kernel/pci.c linux-source-2.6.26.pci-fix/arch/sparc64/kernel/pci.c
> --- linux-source-2.6.26/arch/sparc64/kernel/pci.c	2008-10-18 14:33:11.000000000 +0400
> +++ linux-source-2.6.26.pci-fix/arch/sparc64/kernel/pci.c	2008-11-04 18:15:31.000000000 +0300
> @@ -350,7 +350,8 @@ static void pci_parse_of_addrs(struct of
>  
>  struct pci_dev *of_create_pci_dev(struct pci_pbm_info *pbm,
>  				  struct device_node *node,
> -				  struct pci_bus *bus, int devfn)
> +				  struct pci_bus *bus, int devfn,
> +				  int host_controller)
>  {
>  	struct dev_archdata *sd;
>  	struct pci_dev *dev;
> @@ -389,28 +390,43 @@ struct pci_dev *of_create_pci_dev(struct
>  	dev->devfn = devfn;
>  	dev->multifunction = 0;		/* maybe a lie? */
>  
> -	dev->vendor = of_getintprop_default(node, "vendor-id", 0xffff);
> -	dev->device = of_getintprop_default(node, "device-id", 0xffff);
> -	dev->subsystem_vendor =
> -		of_getintprop_default(node, "subsystem-vendor-id", 0);
> -	dev->subsystem_device =
> -		of_getintprop_default(node, "subsystem-id", 0);
> -
> -	dev->cfg_size = pci_cfg_space_size(dev);
> -
> -	/* We can't actually use the firmware value, we have
> -	 * to read what is in the register right now.  One
> -	 * reason is that in the case of IDE interfaces the
> -	 * firmware can sample the value before the the IDE
> -	 * interface is programmed into native mode.
> -	 */
> -	pci_read_config_dword(dev, PCI_CLASS_REVISION, &class);
> -	dev->class = class >> 8;
> -	dev->revision = class & 0xff;
> -
> -	sprintf(pci_name(dev), "%04x:%02x:%02x.%d", pci_domain_nr(bus),
> -		dev->bus->number, PCI_SLOT(devfn), PCI_FUNC(devfn));
> +	if (host_controller) {
> +		if (tlb_type != hypervisor) {
> +			pci_read_config_word(dev, PCI_VENDOR_ID,
> +					     &dev->vendor);
> +			pci_read_config_word(dev, PCI_DEVICE_ID,
> +					     &dev->device);
> +		} else {
> +			dev->vendor = PCI_VENDOR_ID_SUN;
> +			dev->device = 0x80f0;
> +		}
> +		dev->cfg_size = 256;
> +		dev->class = PCI_CLASS_BRIDGE_HOST << 8;
> +		sprintf(pci_name(dev), "%04x:%02x:%02x.%d", pci_domain_nr(bus),
> +			0x00, PCI_SLOT(devfn), PCI_FUNC(devfn));
> +	} else {
> +		dev->vendor = of_getintprop_default(node, "vendor-id", 0xffff);
> +		dev->device = of_getintprop_default(node, "device-id", 0xffff);
> +		dev->subsystem_vendor =
> +			of_getintprop_default(node, "subsystem-vendor-id", 0);
> +		dev->subsystem_device =
> +			of_getintprop_default(node, "subsystem-id", 0);
> +
> +		dev->cfg_size = pci_cfg_space_size(dev);
> +
> +		/* We can't actually use the firmware value, we have
> +		 * to read what is in the register right now.  One
> +		 * reason is that in the case of IDE interfaces the
> +		 * firmware can sample the value before the the IDE
> +		 * interface is programmed into native mode.
> +		 */
> +		pci_read_config_dword(dev, PCI_CLASS_REVISION, &class);
> +		dev->class = class >> 8;
> +		dev->revision = class & 0xff;
>  
> +		sprintf(pci_name(dev), "%04x:%02x:%02x.%d", pci_domain_nr(bus),
> +			dev->bus->number, PCI_SLOT(devfn), PCI_FUNC(devfn));
> +	}
>  	if (ofpci_verbose)
>  		printk("    class: 0x%x device name: %s\n",
>  		       dev->class, pci_name(dev));
> @@ -425,21 +441,26 @@ struct pci_dev *of_create_pci_dev(struct
>  	dev->current_state = 4;		/* unknown power state */
>  	dev->error_state = pci_channel_io_normal;
>  
> -	if (!strcmp(node->name, "pci")) {
> -		/* a PCI-PCI bridge */
> +	if (host_controller) {
>  		dev->hdr_type = PCI_HEADER_TYPE_BRIDGE;
>  		dev->rom_base_reg = PCI_ROM_ADDRESS1;
> -	} else if (!strcmp(type, "cardbus")) {
> -		dev->hdr_type = PCI_HEADER_TYPE_CARDBUS;
> +		dev->irq = PCI_IRQ_NONE;
>  	} else {
> -		dev->hdr_type = PCI_HEADER_TYPE_NORMAL;
> -		dev->rom_base_reg = PCI_ROM_ADDRESS;
> +		if (!strcmp(type, "pci") || !strcmp(type, "pciex")) {
> +			/* a PCI-PCI bridge */
> +			dev->hdr_type = PCI_HEADER_TYPE_BRIDGE;
> +			dev->rom_base_reg = PCI_ROM_ADDRESS1;
> +		} else if (!strcmp(type, "cardbus")) {
> +			dev->hdr_type = PCI_HEADER_TYPE_CARDBUS;
> +		} else {
> +			dev->hdr_type = PCI_HEADER_TYPE_NORMAL;
> +			dev->rom_base_reg = PCI_ROM_ADDRESS;
>  
> -		dev->irq = sd->op->irqs[0];
> -		if (dev->irq == 0xffffffff)
> -			dev->irq = PCI_IRQ_NONE;
> +			dev->irq = sd->op->irqs[0];
> +			if (dev->irq == 0xffffffff)
> +				dev->irq = PCI_IRQ_NONE;
> +		}
>  	}
> -
>  	pci_parse_of_addrs(sd->op, node, dev);
>  
>  	if (ofpci_verbose)
> @@ -728,7 +749,7 @@ static void __devinit pci_of_scan_bus(st
>  		prev_devfn = devfn;
>  
>  		/* create a new pci_dev for this device */
> -		dev = of_create_pci_dev(pbm, child, bus, devfn);
> +		dev = of_create_pci_dev(pbm, child, bus, devfn, 0);
>  		if (!dev)
>  			continue;
>  		if (ofpci_verbose)
> @@ -775,9 +796,48 @@ static void __devinit pci_bus_register_o
>  		pci_bus_register_of_sysfs(child_bus);
>  }
>  
> +int pci_host_bridge_read_pci_cfg(struct pci_bus *bus_dev,
> +				 unsigned int devfn,
> +				 int where, int size,
> +				 u32 *value)
> +{
> +	static u8 fake_pci_config[] = {
> +		0x8e, 0x10, /* Vendor: 0x108e (Sun) */
> +		0xf0, 0x80, /* Device: 0x80f0 (Fire) */
> +		0x46, 0x01, /* Command: 0x0146 (SERR, PARITY, MASTER, MEM) */
> +		0xa0, 0x22, /* Status: 0x02a0 (DEVSEL_MED, FB2B, 66MHZ) */
> +		0x00, 0x00, 0x00, 0x06, /* Class: 0x06000000 host bridge */
> +		0x00, /* Cacheline: 0x00 */
> +		0x40, /* Latency: 0x40 */
> +		0x00, /* Header-Type: 0x00 normal */
> +	};
> +
> +	*value = 0;
> +	if (where >= 0 && where < sizeof(fake_pci_config) &&
> +	    (where + size) >= 0 &&
> +	    (where + size) < sizeof(fake_pci_config) &&
> +	    size <= sizeof(u32)) {
> +		while (size--) {
> +			*value <<= 8;
> +			*value |= fake_pci_config[where + size];
> +		}
> +	}
> +
> +	return PCIBIOS_SUCCESSFUL;
> +}
> +
> +int pci_host_bridge_write_pci_cfg(struct pci_bus *bus_dev,
> +				  unsigned int devfn,
> +				  int where, int size,
> +				  u32 value)
> +{
> +	return PCIBIOS_SUCCESSFUL;
> +}
> +
>  struct pci_bus * __devinit pci_scan_one_pbm(struct pci_pbm_info *pbm)
>  {
>  	struct device_node *node = pbm->prom_node;
> +	struct pci_dev *host_pdev;
>  	struct pci_bus *bus;
>  
>  	printk("PCI: Scanning PBM %s\n", node->full_name);
> @@ -795,6 +855,10 @@ struct pci_bus * __devinit pci_scan_one_
>  	bus->resource[0] = &pbm->io_space;
>  	bus->resource[1] = &pbm->mem_space;
>  
> +	/* Create the dummy host bridge and link it in.  */
> +	host_pdev = of_create_pci_dev(pbm, node, bus, 0x00, 1);
> +	bus->self = host_pdev;
> +
>  	pci_of_scan_bus(pbm, node, bus);
>  	pci_bus_add_devices(bus);
>  	pci_bus_register_of_sysfs(bus);
> @@ -1017,6 +1081,7 @@ static int __pci_mmap_make_offset(struct
>  
>  	for (i = 0; i <= PCI_ROM_RESOURCE; i++) {
>  		struct resource *rp = &pdev->resource[i];
> +		resource_size_t aligned_end;
>  
>  		/* Active? */
>  		if (!rp->flags)
> @@ -1034,8 +1099,15 @@ static int __pci_mmap_make_offset(struct
>  				continue;
>  		}
>  
> +		/* Align the resource end to the next page address.
> +                 * PAGE_SIZE intentionally added instead of (PAGE_SIZE - 1),
> +                 * because actually we need the address of the next byte
> +                 * after rp->end.
> +                 */
> +		aligned_end = (rp->end + PAGE_SIZE) & PAGE_MASK;
> +
>  		if ((rp->start <= user_paddr) &&
> -		    (user_paddr + user_size) <= (rp->end + 1UL))
> +		    (user_paddr + user_size) <= aligned_end)
>  			break;
>  	}
>  
> diff -urpN linux-source-2.6.26/arch/sparc64/kernel/pci_common.c linux-source-2.6.26.pci-fix/arch/sparc64/kernel/pci_common.c
> --- linux-source-2.6.26/arch/sparc64/kernel/pci_common.c	2008-07-14 01:51:29.000000000 +0400
> +++ linux-source-2.6.26.pci-fix/arch/sparc64/kernel/pci_common.c	2008-11-04 18:15:27.000000000 +0300
> @@ -264,6 +264,9 @@ static int sun4v_read_pci_cfg(struct pci
>  	unsigned int func = PCI_FUNC(devfn);
>  	unsigned long ret;
>  
> +	if (!bus && devfn == 0x00)
> +		return pci_host_bridge_read_pci_cfg(bus_dev, devfn, where,
> +						    size, value);
>  	if (config_out_of_range(pbm, bus, devfn, where)) {
>  		ret = ~0UL;
>  	} else {
> @@ -297,6 +300,9 @@ static int sun4v_write_pci_cfg(struct pc
>  	unsigned int func = PCI_FUNC(devfn);
>  	unsigned long ret;
>  
> +	if (!bus && devfn == 0x00)
> +		return pci_host_bridge_write_pci_cfg(bus_dev, devfn, where,
> +						     size, value);
>  	if (config_out_of_range(pbm, bus, devfn, where)) {
>  		/* Do nothing. */
>  	} else {
> diff -urpN linux-source-2.6.26/arch/sparc64/kernel/pci_impl.h linux-source-2.6.26.pci-fix/arch/sparc64/kernel/pci_impl.h
> --- linux-source-2.6.26/arch/sparc64/kernel/pci_impl.h	2008-07-14 01:51:29.000000000 +0400
> +++ linux-source-2.6.26.pci-fix/arch/sparc64/kernel/pci_impl.h	2008-11-04 18:15:27.000000000 +0300
> @@ -167,6 +167,15 @@ extern void pci_get_pbm_props(struct pci
>  extern struct pci_bus *pci_scan_one_pbm(struct pci_pbm_info *pbm);
>  extern void pci_determine_mem_io_space(struct pci_pbm_info *pbm);
>  
> +extern int pci_host_bridge_read_pci_cfg(struct pci_bus *bus_dev,
> +					unsigned int devfn,
> +					int where, int size,
> +					u32 *value);
> +extern int pci_host_bridge_write_pci_cfg(struct pci_bus *bus_dev,
> +					 unsigned int devfn,
> +					 int where, int size,
> +					 u32 value);
> +
>  /* Error reporting support. */
>  extern void pci_scan_for_target_abort(struct pci_pbm_info *, struct pci_bus *);
>  extern void pci_scan_for_master_abort(struct pci_pbm_info *, struct pci_bus *);


-- 
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~




Severity set to `grave' from `important' Request was from Gaudenz Steinlin <gaudenz@soziologie.ch> to control@bugs.debian.org. (Sat, 08 Nov 2008 22:57:04 GMT) Full text and rfc822 format available.

Severity set to `important' from `grave' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 09 Nov 2008 00:24:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `linux-2.6' to `xserver-xorg-core'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Thu, 27 Nov 2008 22:57:12 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2:1.5.3-1. Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Fri, 28 Nov 2008 09:12:06 GMT) Full text and rfc822 format available.

Message sent on to Marco Guidetti <gaedol@gmail.com>:
Bug#488669. (Tue, 09 Dec 2008 09:32:03 GMT) Full text and rfc822 format available.

Message #150 received at 488669-submitter@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: Max Dmitrichenko <dmitrmax@gmail.com>
Cc: Gaudenz Steinlin <gaudenz@debian.org>, 488669-submitter@bugs.debian.org, 500358@bugs.debian.org, debian-sparc@lists.debian.org, angelo.rossi.homelab@gmail.com, mikpe@it.uu.se, Marco Guidetti <gaedol@gmail.com>, Riku Voipio <riku.voipio@iki.fi>
Subject: Re: Fix found
Date: Tue, 9 Dec 2008 10:24:37 +0100
[Message part 1 (text/plain, inline)]
On Tue, Nov 04, 2008 at 11:20:09PM +0300, Max Dmitrichenko wrote:
> I've rolled back to the lenny's X.org and applied both patches to the
> kernel. It works!
> 
> The final patch which incorporates both patches against 2.6.26.6 (i.e.
> sid's current kernel) is attached.

I'm typing this from working X again on my Ultra 5, thanks :)

I'm attaching the exact version used, amended for current sparc-next-2.6,
just in case anyone cares. Also the working Xorg.0.log for comparison.

-- 
     2. That which causes joy or happiness.
[updated.sparc_fix_for_debian.patch (text/x-diff, attachment)]
[Xorg.0.log (text/plain, attachment)]

Tags removed: patch Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 09 Jan 2009 02:33:03 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Marco Guidetti <gaedol@gmail.com> Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 16 Jan 2009 03:39:02 GMT) Full text and rfc822 format available.

Bug marked as found in version 2:1.4.2-10. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Mon, 09 Feb 2009 09:18:03 GMT) Full text and rfc822 format available.

Severity set to `grave' from `important' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 25 Feb 2009 10:52:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Wed, 25 Feb 2009 12:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 25 Feb 2009 12:42:06 GMT) Full text and rfc822 format available.

Message #163 received at 488669@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: David Miller <davem@davemloft.net>
Cc: joy@debbugs.entuzijast.net, jurij@wooyd.org, debian-sparc@lists.debian.org, dmitrmax@gmail.com, gaudenz@debian.org, 514418@bugs.debian.org, 488669@bugs.debian.org
Subject: Re: [FIX]: ultra45 boot failing...
Date: Wed, 25 Feb 2009 13:41:08 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2009-02-09 at 12:49 +0100, Julien Cristau wrote:
> On Mon, 2009-02-09 at 01:21 -0800, David Miller wrote:
> > No, I would have said that if time is tight at least we can use
> > "fbdev" as the Xorg driver for PCI devices on sparc until we have a
> > better fix for Xorg.
> 
> We can probably do that for r1.

OK so here is a tentative patch to fall back to the fbdev driver on
sparc.  I'd appreciate if people could test it against lenny's
xorg-server, and/or suggest better ways to do this.

Cheers,
Julien
[0001-Add-an-fbdev-screen-as-a-fallback-on-sparc.patch (application/mbox, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Wed, 04 Mar 2009 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Miller <davem@davemloft.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 04 Mar 2009 08:09:05 GMT) Full text and rfc822 format available.

Message #168 received at 488669@bugs.debian.org (full text, mbox):

From: David Miller <davem@davemloft.net>
To: jcristau@debian.org
Cc: joy@debbugs.entuzijast.net, jurij@wooyd.org, debian-sparc@lists.debian.org, dmitrmax@gmail.com, gaudenz@debian.org, 514418@bugs.debian.org, 488669@bugs.debian.org
Subject: Re: [FIX]: ultra45 boot failing...
Date: Wed, 04 Mar 2009 00:06:59 -0800 (PST)
From: Julien Cristau <jcristau@debian.org>
Date: Wed, 25 Feb 2009 13:41:08 +0100

> On Mon, 2009-02-09 at 12:49 +0100, Julien Cristau wrote:
> > On Mon, 2009-02-09 at 01:21 -0800, David Miller wrote:
> > > No, I would have said that if time is tight at least we can use
> > > "fbdev" as the Xorg driver for PCI devices on sparc until we have a
> > > better fix for Xorg.
> > 
> > We can probably do that for r1.
> 
> OK so here is a tentative patch to fall back to the fbdev driver on
> sparc.  I'd appreciate if people could test it against lenny's
> xorg-server, and/or suggest better ways to do this.

This looks good to me, thanks Julien.




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 14 Mar 2009 20:33:03 GMT) Full text and rfc822 format available.

Notification sent to Marco Guidetti <gaedol@gmail.com>:
Bug acknowledged by developer. (Sat, 14 Mar 2009 20:33:03 GMT) Full text and rfc822 format available.

Message #173 received at 488669-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 488669-close@bugs.debian.org
Subject: Bug#488669: fixed in xorg-server 2:1.4.2-10.lenny1
Date: Sat, 14 Mar 2009 19:52:38 +0000
Source: xorg-server
Source-Version: 2:1.4.2-10.lenny1

We believe that the bug you reported is fixed in the latest version of
xorg-server, which is due to be installed in the Debian FTP archive:

xdmx-tools_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xdmx-tools_1.4.2-10.lenny1_amd64.deb
xdmx_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xdmx_1.4.2-10.lenny1_amd64.deb
xnest_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xnest_1.4.2-10.lenny1_amd64.deb
xorg-server_1.4.2-10.lenny1.diff.gz
  to pool/main/x/xorg-server/xorg-server_1.4.2-10.lenny1.diff.gz
xorg-server_1.4.2-10.lenny1.dsc
  to pool/main/x/xorg-server/xorg-server_1.4.2-10.lenny1.dsc
xprint-common_1.4.2-10.lenny1_all.deb
  to pool/main/x/xorg-server/xprint-common_1.4.2-10.lenny1_all.deb
xprint_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xprint_1.4.2-10.lenny1_amd64.deb
xserver-xephyr_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xserver-xephyr_1.4.2-10.lenny1_amd64.deb
xserver-xorg-core-dbg_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xserver-xorg-core-dbg_1.4.2-10.lenny1_amd64.deb
xserver-xorg-core_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xserver-xorg-core_1.4.2-10.lenny1_amd64.deb
xserver-xorg-dev_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xserver-xorg-dev_1.4.2-10.lenny1_amd64.deb
xvfb_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xvfb_1.4.2-10.lenny1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488669@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xorg-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Mar 2009 22:25:46 +0100
Source: xorg-server
Binary: xserver-xorg-core xserver-xorg-dev xdmx xdmx-tools xnest xvfb xserver-xephyr xprint xprint-common xserver-xorg-core-dbg
Architecture: source all amd64
Version: 2:1.4.2-10.lenny1
Distribution: stable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xdmx       - distributed multihead X server
 xdmx-tools - Distributed Multihead X tools
 xnest      - Nested X server
 xprint     - X11 print system (binary)
 xprint-common - Xprint - the X11 print system (configuration files)
 xserver-xephyr - nested X server
 xserver-xorg-core - Xorg X server - core server
 xserver-xorg-core-dbg - Xorg - the X.Org X server (debugging symbols)
 xserver-xorg-dev - Xorg X server - development files
 xvfb       - Virtual Framebuffer 'fake' X server
Closes: 488669
Changes: 
 xorg-server (2:1.4.2-10.lenny1) stable; urgency=low
 .
   * Work around a bug in the sparc PCI code by falling back to the fbdev
     driver (closes: #488669).
Checksums-Sha1: 
 9000649bcb2f64fe22b4cde0c7161ee4965803d1 2899 xorg-server_1.4.2-10.lenny1.dsc
 5837dfc35a449cd9376df53740eff3dda5692273 578849 xorg-server_1.4.2-10.lenny1.diff.gz
 f365219519323801d5ac0e2217aa2403fa39e123 666370 xprint-common_1.4.2-10.lenny1_all.deb
 b0c76334cf1c60d11bc5933a156164a46a91e42d 4486004 xserver-xorg-core_1.4.2-10.lenny1_amd64.deb
 06103d3d48ecc0ad8ff27cea4416c97d465d71a5 699632 xserver-xorg-dev_1.4.2-10.lenny1_amd64.deb
 9ffe1bd094562756814e31c217634cfeee16d792 1216924 xdmx_1.4.2-10.lenny1_amd64.deb
 dfb2a7ccac77079180a0adf3d0999806e923d4f5 476646 xdmx-tools_1.4.2-10.lenny1_amd64.deb
 de7bfa16a6aca825c25a1c8f19499f8ff5009dad 1888116 xnest_1.4.2-10.lenny1_amd64.deb
 0c392979af93d8bd80e33bebe68406b5d558a44c 2004828 xvfb_1.4.2-10.lenny1_amd64.deb
 7ab776bde4149cdf8f284bc32c22d6aab8668ca3 2051978 xserver-xephyr_1.4.2-10.lenny1_amd64.deb
 851ae9a168233511a4aede4894f0d29ea6335a94 1690386 xprint_1.4.2-10.lenny1_amd64.deb
 da08f5db7ffc289bebd7105e0cf42d003c74081f 13106610 xserver-xorg-core-dbg_1.4.2-10.lenny1_amd64.deb
Checksums-Sha256: 
 2d32d442df556785d69f9f15819a42b9c1d7efa3c1074ee08669a7ccf8d0dbea 2899 xorg-server_1.4.2-10.lenny1.dsc
 fc71f81d3cdbbb696ad27d12fcc22faafd7fbd1381d621eb694880a7817ddd14 578849 xorg-server_1.4.2-10.lenny1.diff.gz
 e1a4b20b0ed6cce98fcee120c338510f48422bd265f09c50c426556d236e067f 666370 xprint-common_1.4.2-10.lenny1_all.deb
 0185c4989b8a3d2b8550b3c21404849f903162773cb15a280c859802532116be 4486004 xserver-xorg-core_1.4.2-10.lenny1_amd64.deb
 3ec6549acd35c14591b976da3011d10dcdfd377535de18df9ee0376ddfd1e9e2 699632 xserver-xorg-dev_1.4.2-10.lenny1_amd64.deb
 7af655d51bd830d9c47aa5bfae204868c7e99af2f4c1f24ec01a41350d31e6ed 1216924 xdmx_1.4.2-10.lenny1_amd64.deb
 cd00244fb74f111211fa16e034f2cafe0807839a1870e671a484076c935dfd90 476646 xdmx-tools_1.4.2-10.lenny1_amd64.deb
 10d226e81e884bed5b070d10f3614370fa6d5e4e93159ac5835d8db08273e92a 1888116 xnest_1.4.2-10.lenny1_amd64.deb
 5b8ae3527249cdc2668ae0717e6581cbee2ec19c1a27835052c46c4c1cbc91f8 2004828 xvfb_1.4.2-10.lenny1_amd64.deb
 42722f4f96b22cfd5c6291258fc6615cd127f9e91073bc7c47b34b395005f6e6 2051978 xserver-xephyr_1.4.2-10.lenny1_amd64.deb
 f734bd8ecb4a63e223efb79d3a06ac6b0cd7d040bac3f8ebaf164c234985f625 1690386 xprint_1.4.2-10.lenny1_amd64.deb
 2cfd1dbf0d40491167ac7c064067ef13ed2b48cf58ea463965ab4ffe87c6e118 13106610 xserver-xorg-core-dbg_1.4.2-10.lenny1_amd64.deb
Files: 
 f262a49215d734c024537e55ec31c341 2899 x11 optional xorg-server_1.4.2-10.lenny1.dsc
 63e77e98f3a8e9de49463ac30757a88a 578849 x11 optional xorg-server_1.4.2-10.lenny1.diff.gz
 ff5c4821bd2eb88af3f395dc2b017dcb 666370 x11 optional xprint-common_1.4.2-10.lenny1_all.deb
 4efb881e65669a62fb3465c5b8f7a254 4486004 x11 optional xserver-xorg-core_1.4.2-10.lenny1_amd64.deb
 8c59ff74c64197e0a82044356ed4a128 699632 x11 optional xserver-xorg-dev_1.4.2-10.lenny1_amd64.deb
 6b6d1bed9d31da3f467dd636d60f4c8d 1216924 x11 optional xdmx_1.4.2-10.lenny1_amd64.deb
 5f8f2b37c7c335bfb16c2d1fd5791f1c 476646 x11 optional xdmx-tools_1.4.2-10.lenny1_amd64.deb
 b0acb5977ae9f66bfd166ae8c8f0d7a5 1888116 x11 optional xnest_1.4.2-10.lenny1_amd64.deb
 9aaa655ff7d4e06a25ff28d5c47698ed 2004828 x11 optional xvfb_1.4.2-10.lenny1_amd64.deb
 b4b8a9973a1e03aed710e5f11d55d022 2051978 x11 optional xserver-xephyr_1.4.2-10.lenny1_amd64.deb
 6e45ed11f05c1429c6945c8729420d35 1690386 x11 optional xprint_1.4.2-10.lenny1_amd64.deb
 4fe2e0f1399b878ac5481a8289d91d96 13106610 x11 extra xserver-xorg-core-dbg_1.4.2-10.lenny1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm07CgACgkQmEvTgKxfcAzy/wCgvJRYaK7OMT3xWoBBlNo02tp3
rngAnAgldnbV0hoNs/sWIOcKDTME5Bdw
=EHKI
-----END PGP SIGNATURE-----





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 14 Mar 2009 20:33:04 GMT) Full text and rfc822 format available.

Notification sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Bug acknowledged by developer. (Sat, 14 Mar 2009 20:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Mon, 16 Mar 2009 20:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 16 Mar 2009 20:48:04 GMT) Full text and rfc822 format available.

Message #183 received at 488669@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: David Miller <davem@davemloft.net>
Cc: joy@debbugs.entuzijast.net, jurij@wooyd.org, debian-sparc@lists.debian.org, dmitrmax@gmail.com, gaudenz@debian.org, 514418@bugs.debian.org, 488669@bugs.debian.org
Subject: Re: [FIX]: ultra45 boot failing...
Date: Mon, 16 Mar 2009 21:47:33 +0100
On Wed, 2009-02-25 at 13:41 +0100, Julien Cristau wrote:
> On Mon, 2009-02-09 at 12:49 +0100, Julien Cristau wrote:
> > On Mon, 2009-02-09 at 01:21 -0800, David Miller wrote:
> > > No, I would have said that if time is tight at least we can use
> > > "fbdev" as the Xorg driver for PCI devices on sparc until we have a
> > > better fix for Xorg.
> > 
> > We can probably do that for r1.
> 
> OK so here is a tentative patch to fall back to the fbdev driver on
> sparc.  I'd appreciate if people could test it against lenny's
> xorg-server, and/or suggest better ways to do this.

I uploaded this to stable-proposed-updates, sparc binaries should appear
after the next mirror push.  There's still time to tweak things before
the point release, so testing reports from sparc X users to
488669@bugs.debian.org are welcome (whether things work or not).  Make
sure you have xserver-xorg-video-fbdev installed.

Cheers,
Julien




Forcibly Merged 488669 500358 522605. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 05 Apr 2009 09:42:04 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 11 Apr 2009 17:15:08 GMT) Full text and rfc822 format available.

Notification sent to Marco Guidetti <gaedol@gmail.com>:
Bug acknowledged by developer. (Sat, 11 Apr 2009 17:15:08 GMT) Full text and rfc822 format available.

Message #190 received at 488669-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 488669-close@bugs.debian.org
Subject: Bug#488669: fixed in xorg-server 2:1.4.2-10.lenny1
Date: Sat, 11 Apr 2009 16:47:46 +0000
Source: xorg-server
Source-Version: 2:1.4.2-10.lenny1

We believe that the bug you reported is fixed in the latest version of
xorg-server, which is due to be installed in the Debian FTP archive:

xdmx-tools_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xdmx-tools_1.4.2-10.lenny1_amd64.deb
xdmx_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xdmx_1.4.2-10.lenny1_amd64.deb
xnest_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xnest_1.4.2-10.lenny1_amd64.deb
xorg-server_1.4.2-10.lenny1.diff.gz
  to pool/main/x/xorg-server/xorg-server_1.4.2-10.lenny1.diff.gz
xorg-server_1.4.2-10.lenny1.dsc
  to pool/main/x/xorg-server/xorg-server_1.4.2-10.lenny1.dsc
xprint-common_1.4.2-10.lenny1_all.deb
  to pool/main/x/xorg-server/xprint-common_1.4.2-10.lenny1_all.deb
xprint_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xprint_1.4.2-10.lenny1_amd64.deb
xserver-xephyr_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xserver-xephyr_1.4.2-10.lenny1_amd64.deb
xserver-xorg-core-dbg_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xserver-xorg-core-dbg_1.4.2-10.lenny1_amd64.deb
xserver-xorg-core_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xserver-xorg-core_1.4.2-10.lenny1_amd64.deb
xserver-xorg-dev_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xserver-xorg-dev_1.4.2-10.lenny1_amd64.deb
xvfb_1.4.2-10.lenny1_amd64.deb
  to pool/main/x/xorg-server/xvfb_1.4.2-10.lenny1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488669@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xorg-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Mar 2009 22:25:46 +0100
Source: xorg-server
Binary: xserver-xorg-core xserver-xorg-dev xdmx xdmx-tools xnest xvfb xserver-xephyr xprint xprint-common xserver-xorg-core-dbg
Architecture: source all amd64
Version: 2:1.4.2-10.lenny1
Distribution: stable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xdmx       - distributed multihead X server
 xdmx-tools - Distributed Multihead X tools
 xnest      - Nested X server
 xprint     - X11 print system (binary)
 xprint-common - Xprint - the X11 print system (configuration files)
 xserver-xephyr - nested X server
 xserver-xorg-core - Xorg X server - core server
 xserver-xorg-core-dbg - Xorg - the X.Org X server (debugging symbols)
 xserver-xorg-dev - Xorg X server - development files
 xvfb       - Virtual Framebuffer 'fake' X server
Closes: 488669
Changes: 
 xorg-server (2:1.4.2-10.lenny1) stable; urgency=low
 .
   * Work around a bug in the sparc PCI code by falling back to the fbdev
     driver (closes: #488669).
Checksums-Sha1: 
 9000649bcb2f64fe22b4cde0c7161ee4965803d1 2899 xorg-server_1.4.2-10.lenny1.dsc
 5837dfc35a449cd9376df53740eff3dda5692273 578849 xorg-server_1.4.2-10.lenny1.diff.gz
 f365219519323801d5ac0e2217aa2403fa39e123 666370 xprint-common_1.4.2-10.lenny1_all.deb
 b0c76334cf1c60d11bc5933a156164a46a91e42d 4486004 xserver-xorg-core_1.4.2-10.lenny1_amd64.deb
 06103d3d48ecc0ad8ff27cea4416c97d465d71a5 699632 xserver-xorg-dev_1.4.2-10.lenny1_amd64.deb
 9ffe1bd094562756814e31c217634cfeee16d792 1216924 xdmx_1.4.2-10.lenny1_amd64.deb
 dfb2a7ccac77079180a0adf3d0999806e923d4f5 476646 xdmx-tools_1.4.2-10.lenny1_amd64.deb
 de7bfa16a6aca825c25a1c8f19499f8ff5009dad 1888116 xnest_1.4.2-10.lenny1_amd64.deb
 0c392979af93d8bd80e33bebe68406b5d558a44c 2004828 xvfb_1.4.2-10.lenny1_amd64.deb
 7ab776bde4149cdf8f284bc32c22d6aab8668ca3 2051978 xserver-xephyr_1.4.2-10.lenny1_amd64.deb
 851ae9a168233511a4aede4894f0d29ea6335a94 1690386 xprint_1.4.2-10.lenny1_amd64.deb
 da08f5db7ffc289bebd7105e0cf42d003c74081f 13106610 xserver-xorg-core-dbg_1.4.2-10.lenny1_amd64.deb
Checksums-Sha256: 
 2d32d442df556785d69f9f15819a42b9c1d7efa3c1074ee08669a7ccf8d0dbea 2899 xorg-server_1.4.2-10.lenny1.dsc
 fc71f81d3cdbbb696ad27d12fcc22faafd7fbd1381d621eb694880a7817ddd14 578849 xorg-server_1.4.2-10.lenny1.diff.gz
 e1a4b20b0ed6cce98fcee120c338510f48422bd265f09c50c426556d236e067f 666370 xprint-common_1.4.2-10.lenny1_all.deb
 0185c4989b8a3d2b8550b3c21404849f903162773cb15a280c859802532116be 4486004 xserver-xorg-core_1.4.2-10.lenny1_amd64.deb
 3ec6549acd35c14591b976da3011d10dcdfd377535de18df9ee0376ddfd1e9e2 699632 xserver-xorg-dev_1.4.2-10.lenny1_amd64.deb
 7af655d51bd830d9c47aa5bfae204868c7e99af2f4c1f24ec01a41350d31e6ed 1216924 xdmx_1.4.2-10.lenny1_amd64.deb
 cd00244fb74f111211fa16e034f2cafe0807839a1870e671a484076c935dfd90 476646 xdmx-tools_1.4.2-10.lenny1_amd64.deb
 10d226e81e884bed5b070d10f3614370fa6d5e4e93159ac5835d8db08273e92a 1888116 xnest_1.4.2-10.lenny1_amd64.deb
 5b8ae3527249cdc2668ae0717e6581cbee2ec19c1a27835052c46c4c1cbc91f8 2004828 xvfb_1.4.2-10.lenny1_amd64.deb
 42722f4f96b22cfd5c6291258fc6615cd127f9e91073bc7c47b34b395005f6e6 2051978 xserver-xephyr_1.4.2-10.lenny1_amd64.deb
 f734bd8ecb4a63e223efb79d3a06ac6b0cd7d040bac3f8ebaf164c234985f625 1690386 xprint_1.4.2-10.lenny1_amd64.deb
 2cfd1dbf0d40491167ac7c064067ef13ed2b48cf58ea463965ab4ffe87c6e118 13106610 xserver-xorg-core-dbg_1.4.2-10.lenny1_amd64.deb
Files: 
 f262a49215d734c024537e55ec31c341 2899 x11 optional xorg-server_1.4.2-10.lenny1.dsc
 63e77e98f3a8e9de49463ac30757a88a 578849 x11 optional xorg-server_1.4.2-10.lenny1.diff.gz
 ff5c4821bd2eb88af3f395dc2b017dcb 666370 x11 optional xprint-common_1.4.2-10.lenny1_all.deb
 4efb881e65669a62fb3465c5b8f7a254 4486004 x11 optional xserver-xorg-core_1.4.2-10.lenny1_amd64.deb
 8c59ff74c64197e0a82044356ed4a128 699632 x11 optional xserver-xorg-dev_1.4.2-10.lenny1_amd64.deb
 6b6d1bed9d31da3f467dd636d60f4c8d 1216924 x11 optional xdmx_1.4.2-10.lenny1_amd64.deb
 5f8f2b37c7c335bfb16c2d1fd5791f1c 476646 x11 optional xdmx-tools_1.4.2-10.lenny1_amd64.deb
 b0acb5977ae9f66bfd166ae8c8f0d7a5 1888116 x11 optional xnest_1.4.2-10.lenny1_amd64.deb
 9aaa655ff7d4e06a25ff28d5c47698ed 2004828 x11 optional xvfb_1.4.2-10.lenny1_amd64.deb
 b4b8a9973a1e03aed710e5f11d55d022 2051978 x11 optional xserver-xephyr_1.4.2-10.lenny1_amd64.deb
 6e45ed11f05c1429c6945c8729420d35 1690386 x11 optional xprint_1.4.2-10.lenny1_amd64.deb
 4fe2e0f1399b878ac5481a8289d91d96 13106610 x11 extra xserver-xorg-core-dbg_1.4.2-10.lenny1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm07CgACgkQmEvTgKxfcAzy/wCgvJRYaK7OMT3xWoBBlNo02tp3
rngAnAgldnbV0hoNs/sWIOcKDTME5Bdw
=EHKI
-----END PGP SIGNATURE-----





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 11 Apr 2009 17:15:09 GMT) Full text and rfc822 format available.

Notification sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Bug acknowledged by developer. (Sat, 11 Apr 2009 17:15:09 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 11 Apr 2009 17:15:10 GMT) Full text and rfc822 format available.

Notification sent to Shaddy Baddah <helium@shaddybaddah.name>:
Bug acknowledged by developer. (Sat, 11 Apr 2009 17:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Sun, 12 Apr 2009 02:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shaddy Baddah <helium@shaddybaddah.name>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 12 Apr 2009 02:30:02 GMT) Full text and rfc822 format available.

Message #205 received at 488669@bugs.debian.org (full text, mbox):

From: Shaddy Baddah <helium@shaddybaddah.name>
To: Julien Cristau <jcristau@debian.org>
Cc: 522605@bugs.debian.org, 488669@bugs.debian.org
Subject: Re: Bug#522605 closed by Julien Cristau <jcristau@debian.org> (Bug#488669: fixed in xorg-server 2:1.4.2-10.lenny1)
Date: Sun, 12 Apr 2009 12:28:21 +1000
Hi Julien,

I'm not sure how bug #522605 can be considered closed. I appreciate that 
bug #488669 can be considered closed. Indeed, the xserver was working 
fine on the MACH64 card after the kernel changes even without the 
fallback to fbdev.

However the same kernel fix didn't sort out the problems for MGA.

And the notion of using the Frame Buffer device for MGA doesn't seem to 
me to be OK, because the lenny sparc64 kernel does not include the MGA 
fb module. Unless the Debian policy is that you make your own kernel if 
you need a specific module??? (That's fine. I am able to do that. Just 
need confirmation)

TIA,
Shaddy





Bug reopened, originator not changed. Request was from Shaddy Baddah <helium@shaddybaddah.name> to control@bugs.debian.org. (Wed, 15 Apr 2009 17:27:02 GMT) Full text and rfc822 format available.

Tags added: help, lenny Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 14 May 2009 14:51:04 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2:1.4.99.901-1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 14 May 2009 14:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Sun, 24 May 2009 13:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 24 May 2009 13:54:02 GMT) Full text and rfc822 format available.

Message #216 received at 488669@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: David Miller <davem@davemloft.net>
Cc: joy@debbugs.entuzijast.net, jurij@wooyd.org, debian-sparc@lists.debian.org, dmitrmax@gmail.com, gaudenz@debian.org, 514418@bugs.debian.org, 488669@bugs.debian.org
Subject: Re: [FIX]: ultra45 boot failing...
Date: Sun, 24 May 2009 15:52:20 +0200
On Wed, Feb 25, 2009 at 13:41:08 +0100, Julien Cristau wrote:

> On Mon, 2009-02-09 at 12:49 +0100, Julien Cristau wrote:
> > On Mon, 2009-02-09 at 01:21 -0800, David Miller wrote:
> > > No, I would have said that if time is tight at least we can use
> > > "fbdev" as the Xorg driver for PCI devices on sparc until we have a
> > > better fix for Xorg.
> > 
> > We can probably do that for r1.
> 
> OK so here is a tentative patch to fall back to the fbdev driver on
> sparc.  I'd appreciate if people could test it against lenny's
> xorg-server, and/or suggest better ways to do this.
> 
That patch doesn't work, because X craps itself if both a pci and a fb
driver are loaded.  I plan to revert it for lenny r2, and if time
permits I'll try to make the xserver-xorg package generate an xorg.conf
with Driver set to fbdev instead..

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Sun, 24 May 2009 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Miller <davem@davemloft.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 24 May 2009 22:27:03 GMT) Full text and rfc822 format available.

Message #221 received at 488669@bugs.debian.org (full text, mbox):

From: David Miller <davem@davemloft.net>
To: jcristau@debian.org
Cc: joy@debbugs.entuzijast.net, jurij@wooyd.org, debian-sparc@lists.debian.org, dmitrmax@gmail.com, gaudenz@debian.org, 514418@bugs.debian.org, 488669@bugs.debian.org
Subject: Re: [FIX]: ultra45 boot failing...
Date: Sun, 24 May 2009 14:49:25 -0700 (PDT)
From: Julien Cristau <jcristau@debian.org>
Date: Sun, 24 May 2009 15:52:20 +0200

> I plan to revert it for lenny r2, and if time permits I'll try to
> make the xserver-xorg package generate an xorg.conf with Driver set
> to fbdev instead..

Indeed, that's likely to work much better.




Bug closed, send any further explanations to Marco Guidetti <gaedol@gmail.com> Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 08 Jun 2009 10:27:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#488669; Package xserver-xorg-core. (Thu, 20 Aug 2009 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 20 Aug 2009 17:15:04 GMT) Full text and rfc822 format available.

Message #228 received at 488669@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: debian-sparc@lists.debian.org
Cc: jcristau@debian.org, joy@debbugs.entuzijast.net, jurij@wooyd.org, dmitrmax@gmail.com, gaudenz@debian.org, 514418@bugs.debian.org, 488669@bugs.debian.org
Subject: Re: [FIX]: ultra45 boot failing...
Date: Thu, 20 Aug 2009 19:11:46 +0200
On Sun, May 24, 2009 at 02:49:25PM -0700, David Miller wrote:
> From: Julien Cristau <jcristau@debian.org>
> Date: Sun, 24 May 2009 15:52:20 +0200
> 
> > I plan to revert it for lenny r2, and if time permits I'll try to
> > make the xserver-xorg package generate an xorg.conf with Driver set
> > to fbdev instead..
> 
> Indeed, that's likely to work much better.

AFAICS this bug can be closed? Can any Sparc user confirm?

Lenny's xorg switched to fbdev in 1:7.3+19/20, current Xorg from unstable
shouldn't expose the problem any longer.

Lenny's kernel has been fixed in 2.6.26-14. Current version is fine we well.

Cheers,
        Moritz




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 07:35:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:23:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.